---------------------------------------------------------------------------------------------------
--
-- Title       : DC_2
-- Design      : PFSM1
-- Author      : Sasha, Alyona
-- Company     : Nemchenko
--
---------------------------------------------------------------------------------------------------
--
-- File        : H:\AVN\Aspirantura\Prog\HDL\Parralel_FSM\PFSM1\src\DC_2.vhd
-- Generated   : Sat Jan  3 15:10:14 2004
-- From        : interface description file
-- By          : Itf2Vhdl ver. 1.20
--
---------------------------------------------------------------------------------------------------
--
-- Description : 
--
---------------------------------------------------------------------------------------------------

--{{ Section below this comment is automatically maintained
--   and may be overwritten
--{entity {DC_2} architecture {DC_2}}

library IEEE;
use IEEE.STD_LOGIC_1164.all;



entity DC_2 is
	 port(
		 D : in STD_LOGIC_VECTOR(1 to 2);
		 A1 : out STD_LOGIC;
		 A2 : out STD_LOGIC;
		 A3 : out STD_LOGIC;
		 A4 : out STD_LOGIC
	     );
end DC_2;

--}} End of automatically maintained section

architecture DC_2 of DC_2 is
begin

AssignA: process (D) is
begin
	
	A1 <= '0';
	A2 <= '0';
	A3 <= '0';
	A4 <= '0';
	
	if D = "00" then
		A1 <= '1';
	elsif D = "01" then
		A2 <= '1';
	elsif D = "10" then
		A3 <= '1';
	elsif D = "11" then
		A4 <= '1';
	else
		A1 <= '1';
		A2 <= '1';
		A3 <= '1';
		A4 <= '1';
	end if;
	
end process AssignA;

end DC_2;
