---------------------------------------------------------------------------------------------------
--
-- Title       : schema
-- Design      : PFSM_Example
-- Author      : Unknown
-- Company     : Unknown
--
---------------------------------------------------------------------------------------------------
--
-- File        : schema.vhd
-- Generated   : Sun Jan  4 21:38:24 2004
-- From        : schema.bde
-- By          : Bde2Vhdl ver. 2.6
--
---------------------------------------------------------------------------------------------------
-- Design unit header --
library IEEE;
use IEEE.std_logic_1164.all;


entity PFSM is
  port(
       CLK : in STD_LOGIC;
       Reset : in STD_LOGIC;
       X : in STD_LOGIC_VECTOR(1 to 5);
       Y : out STD_LOGIC_VECTOR(1 to 13)
  );
end PFSM;

architecture Schematic of PFSM is

---- Component declarations -----

component AND_2
  port (
       x1 : in STD_LOGIC;
       x2 : in STD_LOGIC;
       y : out STD_LOGIC
  );
end component;
component AND_2_N
  port (
       x1 : in STD_LOGIC;
       x2 : in STD_LOGIC;
       y : out STD_LOGIC
  );
end component;
component AND_3
  port (
       x1 : in STD_LOGIC;
       x2 : in STD_LOGIC;
       x3 : in STD_LOGIC;
       y : out STD_LOGIC
  );
end component;
component AND_4
  port (
       x1 : in STD_LOGIC;
       x2 : in STD_LOGIC;
       x3 : in STD_LOGIC;
       x4 : in STD_LOGIC;
       y : out STD_LOGIC
  );
end component;
component DC_1
  port (
       D : in STD_LOGIC;
       A1 : out STD_LOGIC;
       A2 : out STD_LOGIC
  );
end component;
component DC_2
  port (
       D : in STD_LOGIC_VECTOR(1 to 2);
       A1 : out STD_LOGIC;
       A2 : out STD_LOGIC;
       A3 : out STD_LOGIC;
       A4 : out STD_LOGIC
  );
end component;
component DC_3
  port (
       D : in STD_LOGIC_VECTOR(1 to 3);
       A1 : out STD_LOGIC;
       A2 : out STD_LOGIC;
       A3 : out STD_LOGIC;
       A4 : out STD_LOGIC;
       A5 : out STD_LOGIC;
       A6 : out STD_LOGIC;
       A7 : out STD_LOGIC;
       A8 : out STD_LOGIC
  );
end component;
component LINK
  port (
       x : in STD_LOGIC;
       y : out STD_LOGIC
  );
end component;
component MUX_1
  port (
       A : in STD_LOGIC;
       D1 : in STD_LOGIC;
       D2 : in STD_LOGIC;
       Y : out STD_LOGIC
  );
end component;
component MUX_2
  port (
       A : in STD_LOGIC;
       D1 : in STD_LOGIC_VECTOR(1 to 2);
       D2 : in STD_LOGIC_VECTOR(1 to 2);
       Y : out STD_LOGIC_VECTOR(1 to 2)
  );
end component;
component MUX_3
  port (
       A : in STD_LOGIC;
       D1 : in STD_LOGIC_VECTOR(1 to 3);
       D2 : in STD_LOGIC_VECTOR(1 to 3);
       Y : out STD_LOGIC_VECTOR(1 to 3)
  );
end component;
component OR_2
  port (
       x1 : in STD_LOGIC;
       x2 : in STD_LOGIC;
       y : out STD_LOGIC
  );
end component;
component OR_3
  port (
       x1 : in STD_LOGIC;
       x2 : in STD_LOGIC;
       x3 : in STD_LOGIC;
       y : out STD_LOGIC
  );
end component;
component OR_4
  port (
       x1 : in STD_LOGIC;
       x2 : in STD_LOGIC;
       x3 : in STD_LOGIC;
       x4 : in STD_LOGIC;
       y : out STD_LOGIC
  );
end component;
component REG_1
  port (
       CLK : in STD_LOGIC;
       D : in STD_LOGIC;
       Y : out STD_LOGIC
  );
end component;
component REG_2
  port (
       CLK : in STD_LOGIC;
       D : in STD_LOGIC_VECTOR(1 to 2);
       Y : out STD_LOGIC_VECTOR(1 to 2)
  );
end component;
component REG_3
  port (
       CLK : in STD_LOGIC;
       D : in STD_LOGIC_VECTOR(1 to 3);
       Y : out STD_LOGIC_VECTOR(1 to 3)
  );
end component;
component Thread1Begin
  port (
       Y : out STD_LOGIC_VECTOR(1 to 3)
  );
end component;
component Thread2Begin
  port (
       Y : out STD_LOGIC_VECTOR(1 to 2)
  );
end component;
component Thread3Begin
  port (
       Y : out STD_LOGIC
  );
end component;
component Thread4Begin
  port (
       Y : out STD_LOGIC_VECTOR(1 to 2)
  );
end component;
component Thread5Begin
  port (
       Y : out STD_LOGIC_VECTOR(1 to 2)
  );
end component;
component Thread6Begin
  port (
       Y : out STD_LOGIC_VECTOR(1 to 3)
  );
end component;

---- Signal declarations used on the diagram ----

signal D3_1 : STD_LOGIC;
signal f1b : STD_LOGIC;
signal f1e : STD_LOGIC;
signal f246c : STD_LOGIC;
signal f3e : STD_LOGIC;
signal NET11469 : STD_LOGIC;
signal NET11623 : STD_LOGIC;
signal NET11631 : STD_LOGIC;
signal NET11846 : STD_LOGIC;
signal NET1396 : STD_LOGIC;
signal NET18437 : STD_LOGIC;
signal NET18445 : STD_LOGIC;
signal NET18453 : STD_LOGIC;
signal NET18575 : STD_LOGIC;
signal NET18583 : STD_LOGIC;
signal NET19368 : STD_LOGIC;
signal NET19376 : STD_LOGIC;
signal NET19576 : STD_LOGIC;
signal NET19647 : STD_LOGIC;
signal NET19655 : STD_LOGIC;
signal NET19663 : STD_LOGIC;
signal NET19810 : STD_LOGIC;
signal NET21998 : STD_LOGIC;
signal NET22041 : STD_LOGIC;
signal NET31835 : STD_LOGIC;
signal NET31968 : STD_LOGIC;
signal NET37103 : STD_LOGIC;
signal NET37111 : STD_LOGIC;
signal NET37119 : STD_LOGIC;
signal NET37239 : STD_LOGIC;
signal NET37308 : STD_LOGIC;
signal NET37351 : STD_LOGIC;
signal NET48341 : STD_LOGIC;
signal NET4951 : STD_LOGIC;
signal NET4963 : STD_LOGIC;
signal NET4971 : STD_LOGIC;
signal NET4979 : STD_LOGIC;
signal NET5015 : STD_LOGIC;
signal a : STD_LOGIC_VECTOR (1 to 14);
signal b : STD_LOGIC_VECTOR (1 to 6);
signal BUS1099 : STD_LOGIC_VECTOR (1 downto 0);
signal BUS1150 : STD_LOGIC_VECTOR (1 downto 0);
signal BUS1156 : STD_LOGIC_VECTOR (1 downto 0);
signal BUS1242 : STD_LOGIC_VECTOR (2 downto 0);
signal BUS1250 : STD_LOGIC_VECTOR (2 downto 0);
signal BUS1589 : STD_LOGIC_VECTOR (2 downto 0);
signal BUS1597 : STD_LOGIC_VECTOR (1 downto 0);
signal BUS1601 : STD_LOGIC_VECTOR (1 downto 0);
signal BUS1609 : STD_LOGIC_VECTOR (1 downto 0);
signal BUS35159 : STD_LOGIC_VECTOR (2 downto 0);
signal BUS35167 : STD_LOGIC_VECTOR (2 downto 0);
signal BUS35171 : STD_LOGIC_VECTOR (2 downto 0);
signal BUS4368 : STD_LOGIC_VECTOR (1 downto 0);
signal BUS776 : STD_LOGIC_VECTOR (1 downto 0);
signal BUS785 : STD_LOGIC_VECTOR (1 downto 0);
signal D1 : STD_LOGIC_VECTOR (1 to 3);
signal D2 : STD_LOGIC_VECTOR (1 to 2);
signal D4 : STD_LOGIC_VECTOR (1 to 2);
signal D5 : STD_LOGIC_VECTOR (1 to 2);
signal D6 : STD_LOGIC_VECTOR (1 to 3);
signal e : STD_LOGIC_VECTOR (1 to 6);

begin

----  Component instantiations  ----

U1 : MUX_3
  port map(
       A => Reset,
       D1 => D1,
       D2 => BUS35171,
       Y => BUS35159
  );

U10 : MUX_2
  port map(
       A => Reset,
       D1 => D4,
       D2 => BUS4368,
       Y => BUS1099
  );

U11 : REG_2
  port map(
       CLK => CLK,
       D => BUS1150,
       Y => BUS1597
  );

U12 : MUX_2
  port map(
       A => Reset,
       D1 => D5,
       D2 => BUS1156,
       Y => BUS1150
  );

U13 : Thread4Begin
  port map(
       Y => BUS4368
  );

U14 : Thread5Begin
  port map(
       Y => BUS1156
  );

U15 : REG_3
  port map(
       CLK => CLK,
       D => BUS1250,
       Y => BUS1589
  );

U16 : MUX_3
  port map(
       A => Reset,
       D1 => D6,
       D2 => BUS1242,
       Y => BUS1250
  );

U17 : Thread6Begin
  port map(
       Y => BUS1242
  );

U18 : REG_3
  port map(
       CLK => CLK,
       D => BUS35159,
       Y => BUS35167
  );

U19 : DC_2
  port map(
       A1 => b(2),
       A2 => a(2),
       A3 => e(2),
       A4 => a(3),
       D => BUS1609
  );

U2 : Thread1Begin
  port map(
       Y => BUS35171
  );

U20 : DC_1
  port map(
       A1 => b(3),
       A2 => e(3),
       D => NET21998
  );

U21 : DC_2
  port map(
       A1 => b(4),
       A2 => a(4),
       A3 => e(4),
       A4 => a(5),
       D => BUS1601
  );

U22 : DC_2
  port map(
       A1 => b(5),
       A2 => a(6),
       A3 => e(5),
       A4 => a(7),
       D => BUS1597
  );

U23 : DC_3
  port map(
       A1 => b(6),
       A3 => e(6),
       A4 => a(12),
       A5 => a(8),
       A6 => a(11),
       A7 => a(9),
       A8 => a(10),
       D => BUS1589
  );

U24 : OR_2
  port map(
       x1 => a(3),
       x2 => e(2),
       y => NET5015
  );

U25 : OR_2
  port map(
       x1 => a(5),
       x2 => e(4),
       y => NET4979
  );

U26 : AND_2
  port map(
       x1 => a(6),
       x2 => x(3),
       y => NET4951
  );

U27 : OR_3
  port map(
       x1 => a(10),
       x2 => a(12),
       x3 => e(6),
       y => NET4971
  );

U28 : OR_3
  port map(
       x1 => e(5),
       x2 => a(7),
       x3 => NET4951,
       y => NET4963
  );

U29 : AND_4
  port map(
       x1 => NET5015,
       x2 => NET4979,
       x3 => NET4971,
       x4 => NET4963,
       y => f1b
  );

U3 : REG_2
  port map(
       CLK => CLK,
       D => BUS776,
       Y => BUS1609
  );

U30 : LINK
  port map(
       x => e(3),
       y => f3e
  );

U31 : AND_2
  port map(
       x1 => a(14),
       x2 => x(1),
       y => NET48341
  );

U32 : OR_3
  port map(
       x1 => b(2),
       x2 => b(3),
       x3 => b(6),
       y => f246c
  );

U33 : AND_2
  port map(
       x1 => a(14),
       x2 => x(1),
       y => NET37111
  );

U34 : AND_2
  port map(
       x1 => e(1),
       x2 => f246c,
       y => NET37119
  );

U35 : OR_2
  port map(
       x1 => NET37111,
       x2 => NET37119,
       y => D1(1)
  );

U36 : AND_2
  port map(
       x1 => a(8),
       x2 => x(4),
       y => NET19655
  );

U37 : OR_2
  port map(
       x1 => a(3),
       x2 => e(2),
       y => NET31835
  );

U38 : AND_2_N
  port map(
       x1 => NET31835,
       x2 => f1b,
       y => NET31968
  );

U39 : OR_2
  port map(
       x1 => NET31968,
       x2 => a(2),
       y => D2(1)
  );

U4 : MUX_2
  port map(
       A => Reset,
       D1 => D2,
       D2 => BUS785,
       Y => BUS776
  );

U40 : AND_2
  port map(
       x1 => b(2),
       x2 => f1e,
       y => NET11469
  );

U41 : OR_2
  port map(
       x1 => NET11469,
       x2 => a(2),
       y => D2(2)
  );

U42 : AND_3
  port map(
       x1 => b(3),
       x2 => f1e,
       x3 => x(2),
       y => D3_1
  );

U43 : OR_2
  port map(
       x1 => a(5),
       x2 => e(4),
       y => NET11631
  );

U44 : AND_2_N
  port map(
       x1 => NET11631,
       x2 => f1b,
       y => NET11623
  );

U45 : OR_2
  port map(
       x1 => NET11623,
       x2 => a(4),
       y => D4(1)
  );

U46 : AND_2
  port map(
       x1 => b(4),
       x2 => f3e,
       y => NET11846
  );

U47 : OR_2
  port map(
       x1 => NET11846,
       x2 => a(4),
       y => D4(2)
  );

U48 : AND_2_N
  port map(
       x1 => a(6),
       x2 => x(3),
       y => NET18437
  );

U49 : OR_3
  port map(
       x1 => a(6),
       x2 => a(7),
       x3 => e(5),
       y => NET18453
  );

U5 : Thread2Begin
  port map(
       Y => BUS785
  );

U50 : AND_2_N
  port map(
       x1 => NET18453,
       x2 => f1b,
       y => NET18445
  );

U51 : OR_2
  port map(
       x1 => NET18437,
       x2 => NET18445,
       y => D5(1)
  );

U52 : AND_2
  port map(
       x1 => b(5),
       x2 => f3e,
       y => NET18575
  );

U53 : AND_2_N
  port map(
       x1 => a(6),
       x2 => x(3),
       y => NET18583
  );

U54 : OR_2
  port map(
       x1 => NET18575,
       x2 => NET18583,
       y => D5(2)
  );

U55 : AND_2
  port map(
       x1 => b(6),
       x2 => f1e,
       y => NET19368
  );

U56 : AND_2_N
  port map(
       x1 => a(11),
       x2 => x(5),
       y => NET19376
  );

U57 : OR_4
  port map(
       x1 => NET19368,
       x2 => NET19376,
       x3 => a(8),
       x4 => a(9),
       y => D6(1)
  );

U58 : AND_2
  port map(
       x1 => a(11),
       x2 => x(5),
       y => NET19663
  );

U59 : OR_3
  port map(
       x1 => a(10),
       x2 => a(12),
       x3 => e(6),
       y => NET19576
  );

U6 : REG_1
  port map(
       CLK => CLK,
       D => NET1396,
       Y => NET21998
  );

U60 : OR_4
  port map(
       x1 => NET19647,
       x2 => NET19655,
       x3 => NET19663,
       x4 => a(9),
       y => D6(2)
  );

U61 : AND_2_N
  port map(
       x1 => NET19576,
       x2 => f1b,
       y => NET19647
  );

U62 : DC_3
  port map(
       A1 => a(1),
       A2 => a(14),
       A3 => a(13),
       A4 => b(1),
       A5 => e(1),
       D => BUS35167
  );

U63 : AND_2_N
  port map(
       x1 => a(8),
       x2 => x(4),
       y => NET19810
  );

U64 : OR_3
  port map(
       x1 => NET19810,
       x2 => a(9),
       x3 => a(11),
       y => D6(3)
  );

U65 : LINK
  port map(
       x => a(2),
       y => y(2)
  );

U66 : LINK
  port map(
       x => a(3),
       y => y(3)
  );

U67 : LINK
  port map(
       x => a(4),
       y => y(4)
  );

U68 : LINK
  port map(
       x => a(5),
       y => y(5)
  );

U69 : LINK
  port map(
       x => a(6),
       y => y(6)
  );

U7 : MUX_1
  port map(
       A => Reset,
       D1 => D3_1,
       D2 => NET22041,
       Y => NET1396
  );

U70 : LINK
  port map(
       x => a(7),
       y => y(7)
  );

U71 : LINK
  port map(
       x => a(8),
       y => y(8)
  );

U72 : LINK
  port map(
       x => a(9),
       y => y(9)
  );

U73 : LINK
  port map(
       x => a(10),
       y => y(10)
  );

U74 : LINK
  port map(
       x => a(11),
       y => y(11)
  );

U75 : LINK
  port map(
       x => a(12),
       y => y(12)
  );

U76 : LINK
  port map(
       x => a(13),
       y => y(13)
  );

U77 : LINK
  port map(
       x => a(14),
       y => y(1)
  );

U78 : AND_2_N
  port map(
       x1 => e(1),
       x2 => f246c,
       y => NET37103
  );

U79 : OR_2
  port map(
       x1 => NET37103,
       x2 => b(1),
       y => D1(2)
  );

U8 : Thread3Begin
  port map(
       Y => NET22041
  );

U80 : AND_2_N
  port map(
       x1 => a(14),
       x2 => x(1),
       y => NET37239
  );

U81 : AND_2_N
  port map(
       x1 => e(1),
       x2 => f246c,
       y => NET37308
  );

U82 : AND_2_N
  port map(
       x1 => b(1),
       x2 => f1b,
       y => NET37351
  );

U83 : OR_4
  port map(
       x1 => NET37239,
       x2 => NET37308,
       x3 => NET37351,
       x4 => a(1),
       y => D1(3)
  );

U84 : OR_2
  port map(
       x1 => NET48341,
       x2 => e(1),
       y => f1e
  );

U9 : REG_2
  port map(
       CLK => CLK,
       D => BUS1099,
       Y => BUS1601
  );


end Schematic;
