---------------------------------------------------------------------------------------------------
--
-- Title       : DC_3
-- Design      : PFSM1
-- Author      : Sasha, Alyona
-- Company     : Nemchenko
--
---------------------------------------------------------------------------------------------------
--
-- File        : H:\AVN\Aspirantura\Prog\HDL\Parralel_FSM\PFSM1\src\DC_3.vhd
-- Generated   : Sat Jan  3 15:10:42 2004
-- From        : interface description file
-- By          : Itf2Vhdl ver. 1.20
--
---------------------------------------------------------------------------------------------------
--
-- Description : 
--
---------------------------------------------------------------------------------------------------

--{{ Section below this comment is automatically maintained
--   and may be overwritten
--{entity {DC_3} architecture {DC_3}}

library IEEE;
use IEEE.STD_LOGIC_1164.all;



entity DC_3 is
	 port(
		 D : in STD_LOGIC_VECTOR(1 to 3);
		 A1 : out STD_LOGIC;
		 A2 : out STD_LOGIC;
		 A3 : out STD_LOGIC;
		 A4 : out STD_LOGIC;
		 A5 : out STD_LOGIC;
		 A6 : out STD_LOGIC;
		 A7 : out STD_LOGIC;
		 A8 : out STD_LOGIC
	     );
end DC_3;

--}} End of automatically maintained section

architecture DC_3 of DC_3 is
begin

AssignA: process (D) is
begin
	
	A1 <= '0';
	A2 <= '0';
	A3 <= '0';
	A4 <= '0';
	A5 <= '0';
	A6 <= '0';
	A7 <= '0';
	A8 <= '0';
	
	if D = "000" then
		A1 <= '1';
	elsif D = "001" then
		A2 <= '1';
	elsif D = "010" then
		A3 <= '1';
	elsif D = "011" then
		A4 <= '1';
	elsif D = "100" then
		A5 <= '1';
	elsif D = "101" then
		A6 <= '1';
	elsif D = "110" then
		A7 <= '1';
	elsif D = "111" then
		A8 <= '1';
	else
		A1 <= '1';
		A2 <= '1';
		A3 <= '1';
		A4 <= '1';
		A5 <= '1';
		A6 <= '1';
		A7 <= '1';
		A8 <= '1';
	end if;
	
end process AssignA;

end DC_3;
