---------------------------------------------------------------------------------------------------
--
-- Title       : REG_1
-- Design      : PFSM1
-- Author      : Sasha, Alyona
-- Company     : Nemchenko
--
---------------------------------------------------------------------------------------------------
--
-- File        : H:\AVN\Aspirantura\Prog\HDL\Parralel_FSM\PFSM1\src\REG_1.vhd
-- Generated   : Sat Jan  3 14:58:13 2004
-- From        : interface description file
-- By          : Itf2Vhdl ver. 1.20
--
---------------------------------------------------------------------------------------------------
--
-- Description : 
--
---------------------------------------------------------------------------------------------------

--{{ Section below this comment is automatically maintained
--   and may be overwritten
--{entity {REG_1} architecture {REG_1}}

library IEEE;
use IEEE.STD_LOGIC_1164.all;



entity REG_1 is
	 port(
		 CLK : in STD_LOGIC;
		 D : in STD_LOGIC;
		 Y : out STD_LOGIC
	     );
end REG_1;

--}} End of automatically maintained section

architecture REG_1 of REG_1 is
begin

Trigger: process (CLK) is
variable Mem: STD_LOGIC;
begin
	
MemoryAssignment:	if rising_edge (CLK) then
		Mem := D;
	end if;
	
OutAssignment:	Y <= Mem;
	
end process Trigger;

end REG_1;
