---------------------------------------------------------------------------------------------------
--
-- Title       : REG_2
-- Design      : PFSM1
-- Author      : Sasha, Alyona
-- Company     : Nemchenko
--
---------------------------------------------------------------------------------------------------
--
-- File        : H:\AVN\Aspirantura\Prog\HDL\Parralel_FSM\PFSM1\src\REG_2.vhd
-- Generated   : Sat Jan  3 14:58:42 2004
-- From        : interface description file
-- By          : Itf2Vhdl ver. 1.20
--
---------------------------------------------------------------------------------------------------
--
-- Description : 
--
---------------------------------------------------------------------------------------------------

--{{ Section below this comment is automatically maintained
--   and may be overwritten
--{entity {REG_2} architecture {REG_2}}

library IEEE;
use IEEE.STD_LOGIC_1164.all;



entity REG_2 is
	 port(
		 CLK : in STD_LOGIC;
		 D : in STD_LOGIC_VECTOR(1 to 2);
		 Y : out STD_LOGIC_VECTOR(1 to 2)
	     );
end REG_2;

--}} End of automatically maintained section

architecture REG_2 of REG_2 is
begin

Trigger: process (CLK) is
variable Mem: STD_LOGIC_VECTOR (1 to 2);
begin
	
MemoryAssignment:	if rising_edge (CLK) then
		Mem := D;
	end if;
	
OutAssignment:	Y <= Mem;
	
end process Trigger;

end REG_2;
