---------------------------------------------------------------------------------------------------
--
-- Title       : REG_3
-- Design      : PFSM1
-- Author      : Sasha, Alyona
-- Company     : Nemchenko
--
---------------------------------------------------------------------------------------------------
--
-- File        : H:\AVN\Aspirantura\Prog\HDL\Parralel_FSM\PFSM1\src\REG_3.vhd
-- Generated   : Sat Jan  3 14:59:25 2004
-- From        : interface description file
-- By          : Itf2Vhdl ver. 1.20
--
---------------------------------------------------------------------------------------------------
--
-- Description : 
--
---------------------------------------------------------------------------------------------------

--{{ Section below this comment is automatically maintained
--   and may be overwritten
--{entity {REG_3} architecture {REG_3}}

library IEEE;
use IEEE.STD_LOGIC_1164.all;



entity REG_3 is
	 port(
		 CLK : in STD_LOGIC;
		 D : in STD_LOGIC_VECTOR(1 to 3);
		 Y : out STD_LOGIC_VECTOR(1 to 3)
	     );
end REG_3;

--}} End of automatically maintained section

architecture REG_3 of REG_3 is
begin

Trigger: process (CLK) is
variable Mem: STD_LOGIC_VECTOR (1 to 3);
begin
	
MemoryAssignment:	if rising_edge (CLK) then
		Mem := D;
	end if;
	
OutAssignment:	Y <= Mem;
	
end process Trigger;

end REG_3;
