--
-- Written by Synplicity
-- Sun Jan 04 20:57:14 2004
--

--
library ieee, synplify;
use ieee.std_logic_1164.all;
use ieee.numeric_std.all;
library synplify, synplify;
use synplify.components.all;

entity S_DFF is
port(
  Q :  out std_logic;
  D :  in std_logic;
  CLK :  in std_logic;
  CLRN :  in std_logic;
  PRN :  in std_logic);
end S_DFF;

architecture beh of S_DFF is
  signal CLR : std_logic ;
  signal PRE : std_logic ;
begin
  CLR <= not CLRN;
  PRE <= not PRN;
  II_Q: prim_dff port map (Q, D, CLK, CLR, PRE);
end beh;

--
library ieee, synplify;
use ieee.std_logic_1164.all;
use ieee.numeric_std.all;
library synplify, synplify;
use synplify.components.all;

entity PFSM_synthesis is
port(
  CLK :  in std_logic;
  Reset :  in std_logic;
  X : in std_logic_vector(1 to 5);
  Y : out std_logic_vector(1 to 13));
end PFSM_synthesis;

architecture beh of PFSM_synthesis is
  signal NEXTSTATE4_1 : std_logic_vector(1 downto 0);
  signal NEXTSTATE4_1_0_IV : std_logic_vector(0 to 0);
  signal Y_I : std_logic_vector(4 downto 2);
  signal NEXTSTATE4_1_0 : std_logic_vector(1 to 1);
  signal STATE1_0_I : std_logic_vector(4 to 4);
  signal STATE1_0 : std_logic_vector(4 downto 0);
  signal STATE1_I : std_logic_vector(4 downto 0);
  signal STATE1 : std_logic_vector(4 downto 1);
  signal NEXTSTATE2_1 : std_logic_vector(1 downto 0);
  signal NEXTSTATE2_1_0_IV : std_logic_vector(0 to 0);
  signal NEXTSTATE5_1 : std_logic_vector(0 to 0);
  signal NEXTSTATE5_1_0_IV : std_logic_vector(0 to 0);
  signal NEXTSTATE2_1_0 : std_logic_vector(1 to 1);
  signal STATE6_0_I : std_logic_vector(6 to 6);
  signal STATE6_0 : std_logic_vector(6 downto 0);
  signal STATE6_I : std_logic_vector(5 downto 0);
  signal STATE6 : std_logic_vector(6 downto 0);
  signal X_I : std_logic_vector(5 downto 1);
  signal STATE2_I : std_logic_vector(1 downto 0);
  signal STATE2 : std_logic_vector(1 downto 0);
  signal STATE5_I : std_logic_vector(1 downto 0);
  signal STATE5 : std_logic_vector(1 downto 0);
  signal STATE4_I : std_logic_vector(1 downto 0);
  signal STATE4 : std_logic_vector(1 downto 0);
  signal STATE3_I : std_logic_vector(0 to 0);
  signal STATE3 : std_logic_vector(0 to 0);
  signal STATE3_0 : std_logic_vector(0 to 0);
  signal STATE2_0 : std_logic_vector(1 downto 0);
  signal STATE5_0 : std_logic_vector(1 downto 0);
  signal NEXTSTATE5_1_0_IV_I : std_logic_vector(1 to 1);
  signal STATE4_0 : std_logic_vector(1 downto 0);
  signal YZ : std_logic_vector(13 downto 1);
  signal VCC : std_logic ;
  signal GND : std_logic ;
  signal UN4_NEXTSTATE4_I : std_logic ;
  signal UN4_NEXTSTATE4 : std_logic ;
  signal NEXTSTATE4_I : std_logic ;
  signal NEXTSTATE4 : std_logic ;
  signal UN13_NEXTSTATE1 : std_logic ;
  signal UN13_NEXTSTATE1_0 : std_logic ;
  signal UN14_NEXTSTATE1_I : std_logic ;
  signal UN14_NEXTSTATE1 : std_logic ;
  signal UN26_NEXTSTATE6 : std_logic ;
  signal UN26_NEXTSTATE6_0 : std_logic ;
  signal UN27_NEXTSTATE6_I : std_logic ;
  signal UN27_NEXTSTATE6 : std_logic ;
  signal UN20_NEXTSTATE6_I : std_logic ;
  signal UN20_NEXTSTATE6 : std_logic ;
  signal NEXTSTATE1 : std_logic ;
  signal NEXTSTATE1_0 : std_logic ;
  signal UN1_NEXTSTATE1_I : std_logic ;
  signal UN1_NEXTSTATE1 : std_logic ;
  signal UN1_F246C : std_logic ;
  signal UN1_F246C_I : std_logic ;
  signal UN1_SB2_I : std_logic ;
  signal UN1_SB2 : std_logic ;
  signal F1E : std_logic ;
  signal F1E_0 : std_logic ;
  signal UN1_F1E_I : std_logic ;
  signal UN1_F1E : std_logic ;
  signal UN4_F1B : std_logic ;
  signal UN4_F1B_0 : std_logic ;
  signal UN6_F1B_I : std_logic ;
  signal UN6_F1B : std_logic ;
  signal UN1_UN12_NEXTSTATE5_1_I : std_logic ;
  signal UN1_UN12_NEXTSTATE5_1 : std_logic ;
  signal UN1_UN2_NEXTSTATE5_I : std_logic ;
  signal UN1_UN2_NEXTSTATE5 : std_logic ;
  signal UN1_NEXTSTATE5_I : std_logic ;
  signal UN1_NEXTSTATE5 : std_logic ;
  signal UN7_NEXTSTATE2_I : std_logic ;
  signal UN7_NEXTSTATE2 : std_logic ;
  signal NEXTSTATE2_I : std_logic ;
  signal NEXTSTATE2 : std_logic ;
  signal UN26_NEXTSTATE1 : std_logic ;
  signal UN26_NEXTSTATE1_0 : std_logic ;
  signal UN24_NEXTSTATE1_I : std_logic ;
  signal UN24_NEXTSTATE1 : std_logic ;
  signal UN12_NEXTSTATE5 : std_logic ;
  signal UN12_NEXTSTATE5_I : std_logic ;
  signal UN7_NEXTSTATE4_I : std_logic ;
  signal UN7_NEXTSTATE4 : std_logic ;
  signal N_45_I : std_logic ;
  signal N_45 : std_logic ;
  signal UN123_NEXTSTATE6 : std_logic ;
  signal UN123_NEXTSTATE6_I : std_logic ;
  signal UN77_NEXTSTATE6 : std_logic ;
  signal UN77_NEXTSTATE6_0 : std_logic ;
  signal UN75_NEXTSTATE6_I : std_logic ;
  signal UN75_NEXTSTATE6 : std_logic ;
  signal UN13_F1B : std_logic ;
  signal UN13_F1B_0 : std_logic ;
  signal UN78_NEXTSTATE6_I : std_logic ;
  signal UN78_NEXTSTATE6 : std_logic ;
  signal UN81_NEXTSTATE6_I : std_logic ;
  signal UN81_NEXTSTATE6 : std_logic ;
  signal NEXTSTATE6_I : std_logic ;
  signal NEXTSTATE6 : std_logic ;
  signal NEXTSTATE5_I : std_logic ;
  signal NEXTSTATE5 : std_logic ;
  signal F1B_I : std_logic ;
  signal F1B : std_logic ;
  signal N_25_I : std_logic ;
  signal UN123_NEXTSTATE6_29 : std_logic ;
  signal N_65_I : std_logic ;
  signal N_64_I : std_logic ;
  signal UN77_NEXTSTATE6_26 : std_logic ;
  signal STATE1_0_0_25 : std_logic ;
  signal F1B_24 : std_logic ;
  signal F1B_23 : std_logic ;
  signal STATE3_0_0_22 : std_logic ;
  signal STATE3_0_0_21 : std_logic ;
  signal UN13_F1B_20 : std_logic ;
  signal STATE6_0_4_19 : std_logic ;
  signal STATE6_0_1_18 : std_logic ;
  component S_DFF
    port(
      Q :  out std_logic;
      D :  in std_logic;
      CLK :  in std_logic;
      CLRN :  in std_logic;
      PRN :  in std_logic  );
  end component;
begin
  VCC <= '1';
  GND <= '0';
  NEXTSTATE4_1(0) <= not NEXTSTATE4_1_0_IV(0);
  Y_I(4) <= not YZ(4);
  NEXTSTATE4_1(1) <= not NEXTSTATE4_1_0(1);
  UN4_NEXTSTATE4_I <= not UN4_NEXTSTATE4;
  NEXTSTATE4_I <= not NEXTSTATE4;
  STATE1_0_I(4) <= not STATE1_0(4);
  STATE1_I(0) <= not YZ(13);
  UN13_NEXTSTATE1 <= not UN13_NEXTSTATE1_0;
  UN14_NEXTSTATE1_I <= not UN14_NEXTSTATE1;
  UN26_NEXTSTATE6 <= not UN26_NEXTSTATE6_0;
  UN27_NEXTSTATE6_I <= not UN27_NEXTSTATE6;
  UN20_NEXTSTATE6_I <= not UN20_NEXTSTATE6;
  NEXTSTATE1 <= not NEXTSTATE1_0;
  UN1_NEXTSTATE1_I <= not UN1_NEXTSTATE1;
  STATE1_I(4) <= not STATE1(4);
  UN1_F246C <= not UN1_F246C_I;
  UN1_SB2_I <= not UN1_SB2;
  F1E <= not F1E_0;
  UN1_F1E_I <= not UN1_F1E;
  STATE1_I(2) <= not STATE1(2);
  NEXTSTATE2_1(0) <= not NEXTSTATE2_1_0_IV(0);
  Y_I(2) <= not YZ(2);
  UN4_F1B <= not UN4_F1B_0;
  UN6_F1B_I <= not UN6_F1B;
  NEXTSTATE5_1(0) <= not NEXTSTATE5_1_0_IV(0);
  UN1_UN12_NEXTSTATE5_1_I <= not UN1_UN12_NEXTSTATE5_1;
  UN1_UN2_NEXTSTATE5_I <= not UN1_UN2_NEXTSTATE5;
  UN1_NEXTSTATE5_I <= not UN1_NEXTSTATE5;
  NEXTSTATE2_1(1) <= not NEXTSTATE2_1_0(1);
  UN7_NEXTSTATE2_I <= not UN7_NEXTSTATE2;
  NEXTSTATE2_I <= not NEXTSTATE2;
  STATE6_0_I(6) <= not STATE6_0(6);
  UN26_NEXTSTATE1 <= not UN26_NEXTSTATE1_0;
  UN24_NEXTSTATE1_I <= not UN24_NEXTSTATE1;
  UN12_NEXTSTATE5 <= not UN12_NEXTSTATE5_I;
  UN7_NEXTSTATE4_I <= not UN7_NEXTSTATE4;
  N_45_I <= not N_45;
  UN123_NEXTSTATE6 <= not UN123_NEXTSTATE6_I;
  UN77_NEXTSTATE6 <= not UN77_NEXTSTATE6_0;
  UN75_NEXTSTATE6_I <= not UN75_NEXTSTATE6;
  UN13_F1B <= not UN13_F1B_0;
  STATE6_I(0) <= not STATE6(0);
  STATE6_I(1) <= not YZ(12);
  STATE6_I(3) <= not YZ(10);
  UN78_NEXTSTATE6_I <= not UN78_NEXTSTATE6;
  UN81_NEXTSTATE6_I <= not UN81_NEXTSTATE6;
  STATE6_I(4) <= not YZ(9);
  STATE6_I(5) <= not YZ(8);
  STATE6_I(2) <= not YZ(11);
  NEXTSTATE6_I <= not NEXTSTATE6;
  X_I(5) <= not X(5);
  X_I(4) <= not X(4);
  X_I(1) <= not X(1);
  STATE2_I(1) <= not STATE2(1);
  STATE2_I(0) <= not STATE2(0);
  NEXTSTATE5_I <= not NEXTSTATE5;
  X_I(3) <= not X(3);
  STATE5_I(1) <= not STATE5(1);
  STATE5_I(0) <= not STATE5(0);
  STATE4_I(1) <= not STATE4(1);
  STATE4_I(0) <= not STATE4(0);
  F1B_I <= not F1B;
  STATE3_I(0) <= not STATE3(0);
  N_25_I <= not Reset;
  UN123_NEXTSTATE6_29 <= N_65_I and NEXTSTATE6_I after 100 ps;
  N_65_I <= STATE6_I(2) and N_64_I after 100 ps;
  N_64_I <= STATE6_I(5) and STATE6_I(4) after 100 ps;
  UN77_NEXTSTATE6_26 <= UN81_NEXTSTATE6_I and UN78_NEXTSTATE6_I after 100 ps;
  STATE1_0_0_25 <= N_25_I and STATE1(1) after 100 ps;
  F1B_24 <= F1B_23 and UN13_F1B after 100 ps;
  F1B_23 <= STATE4(0) and STATE2(0) after 100 ps;
  STATE3_0_0_22 <= STATE3_I(0) and STATE3_0_0_21 after 100 ps;
  STATE3_0_0_21 <= X(2) and N_25_I after 100 ps;
  UN13_F1B_20 <= STATE6_I(3) and STATE6_I(1) after 100 ps;
  STATE6_0_4_19 <= X(4) and N_25_I after 100 ps;
  STATE6_0_1_18 <= X(5) and N_25_I after 100 ps;
  STATE6_0(1) <= YZ(11) and STATE6_0_1_18 after 100 ps;
  STATE6_0(4) <= YZ(8) and STATE6_0_4_19 after 100 ps;
  STATE3_0(0) <= F1E and STATE3_0_0_22 after 100 ps;
  STATE1_0(0) <= F1B and STATE1_0_0_25 after 100 ps;
  F1B <= UN4_F1B and F1B_24 after 100 ps;
  UN13_F1B_0 <= STATE6_I(0) and UN13_F1B_20 after 100 ps;
  UN77_NEXTSTATE6_0 <= UN75_NEXTSTATE6_I and UN77_NEXTSTATE6_26 after 100 ps;
  UN123_NEXTSTATE6_I <= UN77_NEXTSTATE6_0 and UN123_NEXTSTATE6_29 after 100 ps;
  UN12_NEXTSTATE5_I <= N_45_I and UN7_NEXTSTATE4_I after 100 ps;
  NEXTSTATE2 <= F1E and UN1_SB2 after 100 ps;
  UN24_NEXTSTATE1 <= F1B_I and STATE1(1) after 100 ps;
  UN7_NEXTSTATE2 <= F1B_I and STATE2(0) after 100 ps;
  UN7_NEXTSTATE4 <= F1B_I and YZ(5) after 100 ps;
  UN26_NEXTSTATE1_0 <= UN1_F246C and UN24_NEXTSTATE1_I after 100 ps;
  STATE2_0(1) <= N_25_I and NEXTSTATE2_1(1) after 100 ps;
  STATE6_0(5) <= N_25_I and NEXTSTATE6 after 100 ps;
  STATE6_0(0) <= N_25_I and UN77_NEXTSTATE6 after 100 ps;
  STATE1_0(1) <= N_25_I and UN26_NEXTSTATE1 after 100 ps;
  STATE6_0(6) <= N_25_I and UN123_NEXTSTATE6 after 100 ps;
  NEXTSTATE2_1_0(1) <= NEXTSTATE2_I and UN7_NEXTSTATE2_I after 100 ps;
  YZ(4) <= STATE4(1) and STATE4_I(0) after 100 ps;
  YZ(5) <= STATE4(0) and STATE4_I(1) after 100 ps;
  YZ(6) <= STATE5(1) and STATE5_I(0) after 100 ps;
  Y(7) <= STATE5(0) and STATE5_I(1) after 100 ps;
  NEXTSTATE5 <= STATE3(0) and STATE5_I(0) after 100 ps;
  UN6_F1B <= X(3) and STATE5(1) after 100 ps;
  UN1_NEXTSTATE5 <= X_I(3) and YZ(6) after 100 ps;
  N_45 <= F1B_I and STATE5(1) after 100 ps;
  UN1_UN12_NEXTSTATE5_1 <= NEXTSTATE5_I and UN12_NEXTSTATE5 after 100 ps;
  STATE5_0(1) <= N_25_I and NEXTSTATE5_1_0_IV_I(1) after 100 ps;
  STATE5_0(0) <= N_25_I and NEXTSTATE5_1(0) after 100 ps;
  NEXTSTATE5_1_0_IV_I(1) <= UN1_NEXTSTATE5_I and UN1_UN2_NEXTSTATE5_I after 100 ps;
  NEXTSTATE5_1_0_IV(0) <= UN1_NEXTSTATE5_I and UN1_UN12_NEXTSTATE5_1_I after 100 ps;
  UN1_UN2_NEXTSTATE5 <= NEXTSTATE5_I and UN12_NEXTSTATE5_I after 100 ps;
  UN4_F1B_0 <= STATE5_I(0) and UN6_F1B_I after 100 ps;
  UN4_NEXTSTATE4 <= F1B_I and STATE4(0) after 100 ps;
  NEXTSTATE2_1_0_IV(0) <= Y_I(2) and UN7_NEXTSTATE2_I after 100 ps;
  STATE2_0(0) <= N_25_I and NEXTSTATE2_1(0) after 100 ps;
  UN81_NEXTSTATE6 <= F1B_I and YZ(10) after 100 ps;
  UN78_NEXTSTATE6 <= F1B_I and YZ(12) after 100 ps;
  UN75_NEXTSTATE6 <= F1B_I and STATE6(0) after 100 ps;
  UN1_SB2 <= STATE2_I(0) and STATE2_I(1) after 100 ps;
  Y(3) <= STATE2(0) and STATE2_I(1) after 100 ps;
  YZ(2) <= STATE2(1) and STATE2_I(0) after 100 ps;
  UN1_F1E <= X(1) and YZ(1) after 100 ps;
  UN1_NEXTSTATE1 <= X_I(1) and YZ(1) after 100 ps;
  UN20_NEXTSTATE6 <= X_I(4) and YZ(8) after 100 ps;
  UN27_NEXTSTATE6 <= X_I(5) and YZ(11) after 100 ps;
  F1E_0 <= STATE1_I(2) and UN1_F1E_I after 100 ps;
  UN1_F246C_I <= STATE3(0) and UN1_SB2_I after 100 ps;
  NEXTSTATE1_0 <= STATE1_I(4) and UN1_NEXTSTATE1_I after 100 ps;
  UN26_NEXTSTATE6_0 <= UN20_NEXTSTATE6_I and UN27_NEXTSTATE6_I after 100 ps;
  NEXTSTATE6 <= F1E and STATE6(6) after 100 ps;
  UN14_NEXTSTATE1 <= STATE1(2) and UN1_F246C after 100 ps;
  UN13_NEXTSTATE1_0 <= UN1_F1E_I and UN14_NEXTSTATE1_I after 100 ps;
  STATE6_0(3) <= N_25_I and YZ(9) after 100 ps;
  STATE6_0(2) <= N_25_I and UN26_NEXTSTATE6 after 100 ps;
  STATE1_0(3) <= N_25_I and NEXTSTATE1 after 100 ps;
  STATE1_0(2) <= N_25_I and UN13_NEXTSTATE1 after 100 ps;
  STATE1_0(4) <= N_25_I and STATE1_I(0) after 100 ps;
  NEXTSTATE4 <= STATE3(0) and STATE4_I(0) after 100 ps;
  STATE4_0(1) <= N_25_I and NEXTSTATE4_1(1) after 100 ps;
  STATE4_0(0) <= N_25_I and NEXTSTATE4_1(0) after 100 ps;
  NEXTSTATE4_1_0(1) <= NEXTSTATE4_I and UN4_NEXTSTATE4_I after 100 ps;
  NEXTSTATE4_1_0_IV(0) <= Y_I(4) and UN4_NEXTSTATE4_I after 100 ps;
  \II_STATE3[0]\: S_DFF port map (
      Q => STATE3(0),
      D => STATE3_0(0),
      CLK => CLK,
      CLRN => VCC,
      PRN => VCC);
  \II_STATE1[4]\: S_DFF port map (
      Q => STATE1(4),
      D => STATE1_0_I(4),
      CLK => CLK,
      CLRN => VCC,
      PRN => VCC);
  \II_STATE1[3]\: S_DFF port map (
      Q => YZ(1),
      D => STATE1_0(3),
      CLK => CLK,
      CLRN => VCC,
      PRN => VCC);
  \II_STATE1[2]\: S_DFF port map (
      Q => STATE1(2),
      D => STATE1_0(2),
      CLK => CLK,
      CLRN => VCC,
      PRN => VCC);
  \II_STATE1[1]\: S_DFF port map (
      Q => STATE1(1),
      D => STATE1_0(1),
      CLK => CLK,
      CLRN => VCC,
      PRN => VCC);
  \II_STATE1[0]\: S_DFF port map (
      Q => YZ(13),
      D => STATE1_0(0),
      CLK => CLK,
      CLRN => VCC,
      PRN => VCC);
  \II_STATE6[6]\: S_DFF port map (
      Q => STATE6(6),
      D => STATE6_0_I(6),
      CLK => CLK,
      CLRN => VCC,
      PRN => VCC);
  \II_STATE6[5]\: S_DFF port map (
      Q => YZ(8),
      D => STATE6_0(5),
      CLK => CLK,
      CLRN => VCC,
      PRN => VCC);
  \II_STATE6[4]\: S_DFF port map (
      Q => YZ(9),
      D => STATE6_0(4),
      CLK => CLK,
      CLRN => VCC,
      PRN => VCC);
  \II_STATE6[3]\: S_DFF port map (
      Q => YZ(10),
      D => STATE6_0(3),
      CLK => CLK,
      CLRN => VCC,
      PRN => VCC);
  \II_STATE6[2]\: S_DFF port map (
      Q => YZ(11),
      D => STATE6_0(2),
      CLK => CLK,
      CLRN => VCC,
      PRN => VCC);
  \II_STATE6[1]\: S_DFF port map (
      Q => YZ(12),
      D => STATE6_0(1),
      CLK => CLK,
      CLRN => VCC,
      PRN => VCC);
  \II_STATE6[0]\: S_DFF port map (
      Q => STATE6(0),
      D => STATE6_0(0),
      CLK => CLK,
      CLRN => VCC,
      PRN => VCC);
  \II_STATE2[1]\: S_DFF port map (
      Q => STATE2(1),
      D => STATE2_0(1),
      CLK => CLK,
      CLRN => VCC,
      PRN => VCC);
  \II_STATE2[0]\: S_DFF port map (
      Q => STATE2(0),
      D => STATE2_0(0),
      CLK => CLK,
      CLRN => VCC,
      PRN => VCC);
  \II_STATE4[1]\: S_DFF port map (
      Q => STATE4(1),
      D => STATE4_0(1),
      CLK => CLK,
      CLRN => VCC,
      PRN => VCC);
  \II_STATE4[0]\: S_DFF port map (
      Q => STATE4(0),
      D => STATE4_0(0),
      CLK => CLK,
      CLRN => VCC,
      PRN => VCC);
  \II_STATE5[1]\: S_DFF port map (
      Q => STATE5(1),
      D => STATE5_0(1),
      CLK => CLK,
      CLRN => VCC,
      PRN => VCC);
  \II_STATE5[0]\: S_DFF port map (
      Q => STATE5(0),
      D => STATE5_0(0),
      CLK => CLK,
      CLRN => VCC,
      PRN => VCC);
  Y(13) <= YZ(13);
  Y(12) <= YZ(12);
  Y(11) <= YZ(11);
  Y(10) <= YZ(10);
  Y(9) <= YZ(9);
  Y(8) <= YZ(8);
  Y(6) <= YZ(6);
  Y(5) <= YZ(5);
  Y(4) <= YZ(4);
  Y(2) <= YZ(2);
  Y(1) <= YZ(1);
end beh;


