--
-- Copyright (C) 1988-2001 Altera Corporation
-- Any megafunction design, and related net list (encrypted or decrypted),
-- support information, device programming or simulation file, and any other
-- associated documentation or information provided by Altera or a partner
-- under Altera's Megafunction Partnership Program may be used only to
-- program PLD devices (but not masked PLD devices) from Altera.  Any other
-- use of such megafunction design, net list, support information, device
-- programming or simulation file, or any other related documentation or
-- information is prohibited for any other purpose, including, but not
-- limited to modification, reverse engineering, de-compiling, or use with
-- any other silicon devices, unless such use is explicitly licensed under
-- a separate agreement with Altera or a megafunction partner.  Title to
-- the intellectual property, including patents, copyrights, trademarks,
-- trade secrets, or maskworks, embodied in any such megafunction design,
-- net list, support information, device programming or simulation file, or
-- any other related documentation or information provided by Altera or a
-- megafunction partner, remains with Altera, the megafunction partner, or
-- their respective licensors.  No other licenses, including any licenses
-- needed under any third party's intellectual property, are provided herein.
--
-- MAX+plus II Version 10.1 RC3 06/12/2001
-- Sun Jan 04 21:04:25 2004

--

LIBRARY IEEE;
USE IEEE.std_logic_1164.all;

LIBRARY alt_vtl;
USE alt_vtl.VCOMPONENTS.all;

ENTITY PFSM_timing IS
    PORT (
      X : IN std_logic_vector(1 to 5);
      y : OUT std_logic_vector(1 to 13);
      CLK : IN std_logic;
      Reset : IN std_logic);
END PFSM_timing;

ARCHITECTURE \EPM3032ALC44-4\ OF PFSM_timing IS

SIGNAL gnd : std_logic;
SIGNAL vcc : std_logic;
SIGNAL
    n_68, \Y_4_\, n_70, n_71, n_72, state4_0_Q, n_74, state4_1_Q, n_76, n_77,
          \Y_5_\, n_79, n_80, n_81, n_82, n_83, \Y_6_\, n_85, n_86, n_87,
          state5_0_Q, n_89, state5_1_Q, n_91, \Y_7_\, n_93, n_94, n_95, n_96,
          Y_8_Q, \Y_8_.PRN\, \Y_8_.CLRN\, \Y_8_.D\, n_105, n_106, n_107, n_109,
          Y_1_Q, n_111, n_113, state6_6_Q, n_115, n_116, n_117, state1_2_Q,
          n_119, n_120, n_121, \Y_8_.CLK\, Y_9_Q, \Y_9_.PRN\, \Y_9_.CLRN\,
          \Y_9_.D\, n_132, n_133, n_134, n_135, n_136, n_138, n_139, \Y_9_.CLK\,
          Y_10_Q, \Y_10_.PRN\, \Y_10_.CLRN\, \Y_10_.D\, n_149, n_150, n_151,
          n_152, n_153, \Y_10_.CLK\, Y_11_Q, \Y_11_.PRN\, \Y_11_.CLRN\, \Y_11_.D\,
          n_163, n_164, n_165, n_167, n_168, n_169, n_170, n_171, n_172, n_173,
          \Y_11_.CLK\, Y_12_Q, \Y_12_.PRN\, \Y_12_.CLRN\, \Y_12_.D\, n_183,
          n_184, n_185, n_186, n_187, n_188, \Y_12_.CLK\, Y_13_Q, \Y_13_.PRN\,
          \Y_13_.CLRN\, \Y_13_.D\, n_198, n_199, n_200, state6_0_Q, n_202,
          n_203, n_204, state2_0_Q, n_206, n_207, state1_1_Q, n_209, n_210,
          n_211, n_213, n_214, n_215, n_216, n_217, n_218, n_219, n_220, n_221,
          n_222, n_223, n_224, n_225, n_226, n_227, n_228, n_229, n_230, n_231,
          \Y_13_.CLK\, \Y_1_.PRN\, \Y_1_.CLRN\, \Y_1_.D\, n_240, n_241, n_242,
          n_243, n_244, n_245, n_246, n_247, state1_4_Q, n_249, n_250, \Y_1_.CLK\,
          n_252, \Y_2_\, n_254, n_255, n_256, n_257, state2_1_Q, n_259, \Y_3_\,
          n_261, n_262, n_263, n_264, \state1_4_.PRN\, \state1_4_.CLRN\, \state1_4_.D\,
          n_272, n_273, n_274, n_275, n_276, n_277, \state1_4_.CLK\, \state2_1_.PRN\,
          \state2_1_.CLRN\, \state2_1_.D\, n_286, n_287, n_288, n_289, n_290,
          n_291, n_292, n_293, n_294, n_295, n_296, n_297, n_298, n_299, n_300,
          n_301, n_302, n_303, n_304, n_305, n_306, n_307, n_308, n_309, n_310,
          n_311, n_312, n_313, n_314, n_315, n_316, \state2_1_.CLK\, \state2_0_.PRN\,
          \state2_0_.CLRN\, \state2_0_.D\, n_325, n_326, n_327, n_328, n_329,
          n_330, n_331, n_332, n_333, n_334, n_335, n_336, n_337, n_338, n_339,
          n_340, \state2_0_.CLK\, \state6_0_.PRN\, \state6_0_.CLRN\, \state6_0_.D\,
          n_349, n_350, n_351, n_352, n_353, n_354, n_355, n_356, n_357, n_358,
          n_359, n_360, n_361, n_362, n_363, n_364, n_365, n_366, n_367, n_368,
          \state6_0_.CLK\, \state4_0_.PRN\, \state4_0_.CLRN\, \state4_0_.D\,
          n_377, n_378, n_379, n_380, n_381, n_382, n_383, n_384, n_385, n_386,
          n_387, n_388, n_389, n_390, n_391, n_392, n_393, n_394, n_395, n_396,
          n_397, n_398, n_399, n_400, n_401, n_402, \state4_0_.CLK\, \state5_1_.PRN\,
          \state5_1_.CLRN\, \state5_1_.D\, n_411, n_412, n_413, state3_0_Q,
          n_415, n_416, n_417, n_418, n_419, n_420, n_421, n_422, n_423, n_424,
          n_425, n_426, n_427, n_428, n_429, n_430, n_431, n_432, n_433, n_434,
          n_435, n_436, n_437, n_438, n_439, n_440, n_441, n_442, n_443, n_444,
          n_445, n_446, \state5_1_.CLK\, \state3_0_.PRN\, \state3_0_.CLRN\,
          \state3_0_.D\, n_455, n_456, n_457, n_458, n_459, n_460, n_461,
          n_463, n_464, n_465, n_466, n_467, n_468, \state3_0_.CLK\, \state1_2_.PRN\,
          \state1_2_.CLRN\, \state1_2_.D\, n_477, n_478, n_479, n_480, n_481,
          n_482, n_483, n_484, n_485, n_486, \state1_2_.CLK\, \state5_0_.PRN\,
          \state5_0_.CLRN\, \state5_0_.D\, n_495, n_496, n_497, n_498, n_499,
          n_500, n_501, n_502, n_503, n_504, n_505, n_506, n_507, n_508, n_509,
          n_510, n_511, n_512, n_513, n_514, n_515, \state5_0_.CLK\, \state4_1_.PRN\,
          \state4_1_.CLRN\, \state4_1_.D\, n_524, n_525, n_526, n_527, n_528,
          n_529, \state4_1_.CLK\, \state6_6_.PRN\, \state6_6_.CLRN\, \state6_6_.D\,
          n_538, n_539, n_540, n_541, n_542, n_543, n_544, n_545, n_546, n_547,
          n_548, n_549, n_550, n_551, n_552, n_553, n_554, n_555, n_556, n_557,
          n_558, n_559, \state6_6_.CLK\, \state1_1_.PRN\, \state1_1_.CLRN\,
          \state1_1_.D\, n_568, n_569, n_570, n_571, n_572, n_573, n_574,
          n_575, n_576, n_577, n_578, n_579, n_580, n_581, n_582, n_583, n_584,
          n_585, n_586, n_587, n_588, n_589, n_590, n_591, \state1_1_.CLK\ : std_logic;

BEGIN
gnd <= '0';
vcc <= '1';
TRIBUF_2: TRIBUF
    PORT MAP (IN1 => n_68, OE => vcc, Y => Y(4));
TRIBUF_4: TRIBUF
    PORT MAP (IN1 => n_77, OE => vcc, Y => Y(5));
TRIBUF_6: TRIBUF
    PORT MAP (IN1 => n_83, OE => vcc, Y => Y(6));
TRIBUF_8: TRIBUF
    PORT MAP (IN1 => n_91, OE => vcc, Y => Y(7));
TRIBUF_10: TRIBUF
    PORT MAP (IN1 => Y_8_Q, OE => vcc, Y => Y(8));
TRIBUF_12: TRIBUF
    PORT MAP (IN1 => Y_9_Q, OE => vcc, Y => Y(9));
TRIBUF_14: TRIBUF
    PORT MAP (IN1 => Y_10_Q, OE => vcc, Y => Y(10));
TRIBUF_16: TRIBUF
    PORT MAP (IN1 => Y_11_Q, OE => vcc, Y => Y(11));
TRIBUF_18: TRIBUF
    PORT MAP (IN1 => Y_12_Q, OE => vcc, Y => Y(12));
TRIBUF_20: TRIBUF
    PORT MAP (IN1 => Y_13_Q, OE => vcc, Y => Y(13));
TRIBUF_22: TRIBUF
    PORT MAP (IN1 => Y_1_Q, OE => vcc, Y => Y(1));
TRIBUF_24: TRIBUF
    PORT MAP (IN1 => n_252, OE => vcc, Y => Y(2));
TRIBUF_26: TRIBUF
    PORT MAP (IN1 => n_259, OE => vcc, Y => Y(3));
DELAY_27: DELAY
    PORT MAP ( Y => n_68, IN1 => \Y_4_\);
XOR2_28: XOR2
    PORT MAP ( Y => \Y_4_\, IN1 => n_70, IN2 => n_76);
OR1_29: OR1
    PORT MAP ( Y => n_70, IN1 => n_71);
AND2_30: AND2
    PORT MAP ( Y => n_71, IN1 => n_72, IN2 => n_74);
INV_31: INV 
    PORT MAP ( Y => n_72, IN1 => state4_0_Q);
DELAY_32: DELAY
    PORT MAP ( Y => n_74, IN1 => state4_1_Q);
AND1_33: AND1
    PORT MAP ( Y => n_76, IN1 => gnd);
DELAY_34: DELAY
    PORT MAP ( Y => n_77, IN1 => \Y_5_\);
XOR2_35: XOR2
    PORT MAP ( Y => \Y_5_\, IN1 => n_79, IN2 => n_76);
OR1_36: OR1
    PORT MAP ( Y => n_79, IN1 => n_80);
AND2_37: AND2
    PORT MAP ( Y => n_80, IN1 => n_81, IN2 => n_82);
INV_38: INV 
    PORT MAP ( Y => n_81, IN1 => state4_1_Q);
DELAY_39: DELAY
    PORT MAP ( Y => n_82, IN1 => state4_0_Q);
DELAY_40: DELAY
    PORT MAP ( Y => n_83, IN1 => \Y_6_\);
XOR2_41: XOR2
    PORT MAP ( Y => \Y_6_\, IN1 => n_85, IN2 => n_76);
OR1_42: OR1
    PORT MAP ( Y => n_85, IN1 => n_86);
AND2_43: AND2
    PORT MAP ( Y => n_86, IN1 => n_87, IN2 => n_89);
INV_44: INV 
    PORT MAP ( Y => n_87, IN1 => state5_0_Q);
DELAY_45: DELAY
    PORT MAP ( Y => n_89, IN1 => state5_1_Q);
DELAY_46: DELAY
    PORT MAP ( Y => n_91, IN1 => \Y_7_\);
XOR2_47: XOR2
    PORT MAP ( Y => \Y_7_\, IN1 => n_93, IN2 => n_76);
OR1_48: OR1
    PORT MAP ( Y => n_93, IN1 => n_94);
AND2_49: AND2
    PORT MAP ( Y => n_94, IN1 => n_95, IN2 => n_96);
INV_50: INV 
    PORT MAP ( Y => n_95, IN1 => state5_1_Q);
DELAY_51: DELAY
    PORT MAP ( Y => n_96, IN1 => state5_0_Q);
DFF_52: DFF
    PORT MAP ( D => \Y_8_.D\, CLK => \Y_8_.CLK\, CLRN => \Y_8_.CLRN\, PRN => \Y_8_.PRN\,
          Q => Y_8_Q);
INV_53: INV 
    PORT MAP ( Y => \Y_8_.PRN\, IN1 => gnd);
INV_54: INV 
    PORT MAP ( Y => \Y_8_.CLRN\, IN1 => gnd);
XOR2_55: XOR2
    PORT MAP ( Y => \Y_8_.D\, IN1 => n_105, IN2 => n_120);
OR2_56: OR2
    PORT MAP ( Y => n_105, IN1 => n_106, IN2 => n_115);
AND4_57: AND4
    PORT MAP ( Y => n_106, IN1 => n_107, IN2 => n_109, IN3 => n_111, IN4 => n_113);
INV_58: INV 
    PORT MAP ( Y => n_107, IN1 => Reset);
DELAY_59: DELAY
    PORT MAP ( Y => n_109, IN1 => Y_1_Q);
DELAY_60: DELAY
    PORT MAP ( Y => n_111, IN1 => X(1));
DELAY_61: DELAY
    PORT MAP ( Y => n_113, IN1 => state6_6_Q);
AND3_62: AND3
    PORT MAP ( Y => n_115, IN1 => n_116, IN2 => n_117, IN3 => n_119);
INV_63: INV 
    PORT MAP ( Y => n_116, IN1 => Reset);
DELAY_64: DELAY
    PORT MAP ( Y => n_117, IN1 => state1_2_Q);
DELAY_65: DELAY
    PORT MAP ( Y => n_119, IN1 => state6_6_Q);
AND1_66: AND1
    PORT MAP ( Y => n_120, IN1 => gnd);
DELAY_67: DELAY
    PORT MAP ( Y => n_121, IN1 => CLK);
FILTER_68: FILTER
    PORT MAP (IN1 => n_121, Y => \Y_8_.CLK\);
DFF_69: DFF
    PORT MAP ( D => \Y_9_.D\, CLK => \Y_9_.CLK\, CLRN => \Y_9_.CLRN\, PRN => \Y_9_.PRN\,
          Q => Y_9_Q);
INV_70: INV 
    PORT MAP ( Y => \Y_9_.PRN\, IN1 => gnd);
INV_71: INV 
    PORT MAP ( Y => \Y_9_.CLRN\, IN1 => gnd);
XOR2_72: XOR2
    PORT MAP ( Y => \Y_9_.D\, IN1 => n_132, IN2 => n_138);
OR1_73: OR1
    PORT MAP ( Y => n_132, IN1 => n_133);
AND3_74: AND3
    PORT MAP ( Y => n_133, IN1 => n_134, IN2 => n_135, IN3 => n_136);
INV_75: INV 
    PORT MAP ( Y => n_134, IN1 => Reset);
DELAY_76: DELAY
    PORT MAP ( Y => n_135, IN1 => Y_8_Q);
DELAY_77: DELAY
    PORT MAP ( Y => n_136, IN1 => X(4));
AND1_78: AND1
    PORT MAP ( Y => n_138, IN1 => gnd);
DELAY_79: DELAY
    PORT MAP ( Y => n_139, IN1 => CLK);
FILTER_80: FILTER
    PORT MAP (IN1 => n_139, Y => \Y_9_.CLK\);
DFF_81: DFF
    PORT MAP ( D => \Y_10_.D\, CLK => \Y_10_.CLK\, CLRN => \Y_10_.CLRN\, PRN => \Y_10_.PRN\,
          Q => Y_10_Q);
INV_82: INV 
    PORT MAP ( Y => \Y_10_.PRN\, IN1 => gnd);
INV_83: INV 
    PORT MAP ( Y => \Y_10_.CLRN\, IN1 => gnd);
XOR2_84: XOR2
    PORT MAP ( Y => \Y_10_.D\, IN1 => n_149, IN2 => n_138);
OR1_85: OR1
    PORT MAP ( Y => n_149, IN1 => n_150);
AND2_86: AND2
    PORT MAP ( Y => n_150, IN1 => n_151, IN2 => n_152);
INV_87: INV 
    PORT MAP ( Y => n_151, IN1 => Reset);
DELAY_88: DELAY
    PORT MAP ( Y => n_152, IN1 => Y_9_Q);
DELAY_89: DELAY
    PORT MAP ( Y => n_153, IN1 => CLK);
FILTER_90: FILTER
    PORT MAP (IN1 => n_153, Y => \Y_10_.CLK\);
DFF_91: DFF
    PORT MAP ( D => \Y_11_.D\, CLK => \Y_11_.CLK\, CLRN => \Y_11_.CLRN\, PRN => \Y_11_.PRN\,
          Q => Y_11_Q);
INV_92: INV 
    PORT MAP ( Y => \Y_11_.PRN\, IN1 => gnd);
INV_93: INV 
    PORT MAP ( Y => \Y_11_.CLRN\, IN1 => gnd);
XOR2_94: XOR2
    PORT MAP ( Y => \Y_11_.D\, IN1 => n_163, IN2 => n_138);
OR2_95: OR2
    PORT MAP ( Y => n_163, IN1 => n_164, IN2 => n_169);
AND3_96: AND3
    PORT MAP ( Y => n_164, IN1 => n_165, IN2 => n_167, IN3 => n_168);
INV_97: INV 
    PORT MAP ( Y => n_165, IN1 => X(5));
INV_98: INV 
    PORT MAP ( Y => n_167, IN1 => Reset);
DELAY_99: DELAY
    PORT MAP ( Y => n_168, IN1 => Y_11_Q);
AND3_100: AND3
    PORT MAP ( Y => n_169, IN1 => n_170, IN2 => n_171, IN3 => n_172);
INV_101: INV 
    PORT MAP ( Y => n_170, IN1 => X(4));
INV_102: INV 
    PORT MAP ( Y => n_171, IN1 => Reset);
DELAY_103: DELAY
    PORT MAP ( Y => n_172, IN1 => Y_8_Q);
DELAY_104: DELAY
    PORT MAP ( Y => n_173, IN1 => CLK);
FILTER_105: FILTER
    PORT MAP (IN1 => n_173, Y => \Y_11_.CLK\);
DFF_106: DFF
    PORT MAP ( D => \Y_12_.D\, CLK => \Y_12_.CLK\, CLRN => \Y_12_.CLRN\, PRN => \Y_12_.PRN\,
          Q => Y_12_Q);
INV_107: INV 
    PORT MAP ( Y => \Y_12_.PRN\, IN1 => gnd);
INV_108: INV 
    PORT MAP ( Y => \Y_12_.CLRN\, IN1 => gnd);
XOR2_109: XOR2
    PORT MAP ( Y => \Y_12_.D\, IN1 => n_183, IN2 => n_138);
OR1_110: OR1
    PORT MAP ( Y => n_183, IN1 => n_184);
AND3_111: AND3
    PORT MAP ( Y => n_184, IN1 => n_185, IN2 => n_186, IN3 => n_187);
INV_112: INV 
    PORT MAP ( Y => n_185, IN1 => Reset);
DELAY_113: DELAY
    PORT MAP ( Y => n_186, IN1 => Y_11_Q);
DELAY_114: DELAY
    PORT MAP ( Y => n_187, IN1 => X(5));
DELAY_115: DELAY
    PORT MAP ( Y => n_188, IN1 => CLK);
FILTER_116: FILTER
    PORT MAP (IN1 => n_188, Y => \Y_12_.CLK\);
DFF_117: DFF
    PORT MAP ( D => \Y_13_.D\, CLK => \Y_13_.CLK\, CLRN => \Y_13_.CLRN\, PRN => \Y_13_.PRN\,
          Q => Y_13_Q);
INV_118: INV 
    PORT MAP ( Y => \Y_13_.PRN\, IN1 => gnd);
INV_119: INV 
    PORT MAP ( Y => \Y_13_.CLRN\, IN1 => gnd);
XOR2_120: XOR2
    PORT MAP ( Y => \Y_13_.D\, IN1 => n_198, IN2 => n_227);
OR4_121: OR4
    PORT MAP ( Y => n_198, IN1 => n_199, IN2 => n_209, IN3 => n_216, IN4 => n_222);
AND6_122: AND6
    PORT MAP ( Y => n_199, IN1 => n_200, IN2 => n_202, IN3 => n_203, IN4 => n_204,
          IN5 => n_206, IN6 => n_207);
INV_123: INV 
    PORT MAP ( Y => n_200, IN1 => state6_0_Q);
INV_124: INV 
    PORT MAP ( Y => n_202, IN1 => Y_12_Q);
INV_125: INV 
    PORT MAP ( Y => n_203, IN1 => Y_10_Q);
DELAY_126: DELAY
    PORT MAP ( Y => n_204, IN1 => state2_0_Q);
DELAY_127: DELAY
    PORT MAP ( Y => n_206, IN1 => state4_0_Q);
DELAY_128: DELAY
    PORT MAP ( Y => n_207, IN1 => state1_1_Q);
AND5_129: AND5
    PORT MAP ( Y => n_209, IN1 => n_210, IN2 => n_211, IN3 => n_213, IN4 => n_214,
          IN5 => n_215);
INV_130: INV 
    PORT MAP ( Y => n_210, IN1 => state5_0_Q);
INV_131: INV 
    PORT MAP ( Y => n_211, IN1 => X(3));
DELAY_132: DELAY
    PORT MAP ( Y => n_213, IN1 => state2_0_Q);
DELAY_133: DELAY
    PORT MAP ( Y => n_214, IN1 => state4_0_Q);
DELAY_134: DELAY
    PORT MAP ( Y => n_215, IN1 => state1_1_Q);
AND5_135: AND5
    PORT MAP ( Y => n_216, IN1 => n_217, IN2 => n_218, IN3 => n_219, IN4 => n_220,
          IN5 => n_221);
INV_136: INV 
    PORT MAP ( Y => n_217, IN1 => state5_0_Q);
INV_137: INV 
    PORT MAP ( Y => n_218, IN1 => state5_1_Q);
DELAY_138: DELAY
    PORT MAP ( Y => n_219, IN1 => state2_0_Q);
DELAY_139: DELAY
    PORT MAP ( Y => n_220, IN1 => state4_0_Q);
DELAY_140: DELAY
    PORT MAP ( Y => n_221, IN1 => state1_1_Q);
AND4_141: AND4
    PORT MAP ( Y => n_222, IN1 => n_223, IN2 => n_224, IN3 => n_225, IN4 => n_226);
DELAY_142: DELAY
    PORT MAP ( Y => n_223, IN1 => Reset);
DELAY_143: DELAY
    PORT MAP ( Y => n_224, IN1 => state2_0_Q);
DELAY_144: DELAY
    PORT MAP ( Y => n_225, IN1 => state4_0_Q);
DELAY_145: DELAY
    PORT MAP ( Y => n_226, IN1 => state1_1_Q);
AND3_146: AND3
    PORT MAP ( Y => n_227, IN1 => n_228, IN2 => n_229, IN3 => n_230);
DELAY_147: DELAY
    PORT MAP ( Y => n_228, IN1 => state2_0_Q);
DELAY_148: DELAY
    PORT MAP ( Y => n_229, IN1 => state4_0_Q);
DELAY_149: DELAY
    PORT MAP ( Y => n_230, IN1 => state1_1_Q);
DELAY_150: DELAY
    PORT MAP ( Y => n_231, IN1 => CLK);
FILTER_151: FILTER
    PORT MAP (IN1 => n_231, Y => \Y_13_.CLK\);
DFF_152: DFF
    PORT MAP ( D => \Y_1_.D\, CLK => \Y_1_.CLK\, CLRN => \Y_1_.CLRN\, PRN => \Y_1_.PRN\,
          Q => Y_1_Q);
INV_153: INV 
    PORT MAP ( Y => \Y_1_.PRN\, IN1 => gnd);
INV_154: INV 
    PORT MAP ( Y => \Y_1_.CLRN\, IN1 => gnd);
XOR2_155: XOR2
    PORT MAP ( Y => \Y_1_.D\, IN1 => n_240, IN2 => n_249);
OR2_156: OR2
    PORT MAP ( Y => n_240, IN1 => n_241, IN2 => n_245);
AND3_157: AND3
    PORT MAP ( Y => n_241, IN1 => n_242, IN2 => n_243, IN3 => n_244);
INV_158: INV 
    PORT MAP ( Y => n_242, IN1 => Reset);
INV_159: INV 
    PORT MAP ( Y => n_243, IN1 => X(1));
DELAY_160: DELAY
    PORT MAP ( Y => n_244, IN1 => Y_1_Q);
AND2_161: AND2
    PORT MAP ( Y => n_245, IN1 => n_246, IN2 => n_247);
INV_162: INV 
    PORT MAP ( Y => n_246, IN1 => Reset);
DELAY_163: DELAY
    PORT MAP ( Y => n_247, IN1 => state1_4_Q);
AND1_164: AND1
    PORT MAP ( Y => n_249, IN1 => gnd);
DELAY_165: DELAY
    PORT MAP ( Y => n_250, IN1 => CLK);
FILTER_166: FILTER
    PORT MAP (IN1 => n_250, Y => \Y_1_.CLK\);
DELAY_167: DELAY
    PORT MAP ( Y => n_252, IN1 => \Y_2_\);
XOR2_168: XOR2
    PORT MAP ( Y => \Y_2_\, IN1 => n_254, IN2 => n_249);
OR1_169: OR1
    PORT MAP ( Y => n_254, IN1 => n_255);
AND2_170: AND2
    PORT MAP ( Y => n_255, IN1 => n_256, IN2 => n_257);
INV_171: INV 
    PORT MAP ( Y => n_256, IN1 => state2_0_Q);
DELAY_172: DELAY
    PORT MAP ( Y => n_257, IN1 => state2_1_Q);
DELAY_173: DELAY
    PORT MAP ( Y => n_259, IN1 => \Y_3_\);
XOR2_174: XOR2
    PORT MAP ( Y => \Y_3_\, IN1 => n_261, IN2 => n_249);
OR1_175: OR1
    PORT MAP ( Y => n_261, IN1 => n_262);
AND2_176: AND2
    PORT MAP ( Y => n_262, IN1 => n_263, IN2 => n_264);
INV_177: INV 
    PORT MAP ( Y => n_263, IN1 => state2_1_Q);
DELAY_178: DELAY
    PORT MAP ( Y => n_264, IN1 => state2_0_Q);
state1_4: DFF
    PORT MAP ( D => \state1_4_.D\, CLK => \state1_4_.CLK\, CLRN => \state1_4_.CLRN\,
          PRN => \state1_4_.PRN\, Q => state1_4_Q);
INV_180: INV 
    PORT MAP ( Y => \state1_4_.PRN\, IN1 => gnd);
INV_181: INV 
    PORT MAP ( Y => \state1_4_.CLRN\, IN1 => gnd);
XOR2_182: XOR2
    PORT MAP ( Y => \state1_4_.D\, IN1 => n_272, IN2 => n_276);
OR1_183: OR1
    PORT MAP ( Y => n_272, IN1 => n_273);
AND2_184: AND2
    PORT MAP ( Y => n_273, IN1 => n_274, IN2 => n_275);
INV_185: INV 
    PORT MAP ( Y => n_274, IN1 => Reset);
INV_186: INV 
    PORT MAP ( Y => n_275, IN1 => Y_13_Q);
AND1_187: AND1
    PORT MAP ( Y => n_276, IN1 => vcc);
DELAY_188: DELAY
    PORT MAP ( Y => n_277, IN1 => CLK);
FILTER_189: FILTER
    PORT MAP (IN1 => n_277, Y => \state1_4_.CLK\);
state2_1: DFF
    PORT MAP ( D => \state2_1_.D\, CLK => \state2_1_.CLK\, CLRN => \state2_1_.CLRN\,
          PRN => \state2_1_.PRN\, Q => state2_1_Q);
INV_191: INV 
    PORT MAP ( Y => \state2_1_.PRN\, IN1 => gnd);
INV_192: INV 
    PORT MAP ( Y => \state2_1_.CLRN\, IN1 => gnd);
XOR2_193: XOR2
    PORT MAP ( Y => \state2_1_.D\, IN1 => n_286, IN2 => n_249);
OR5_194: OR5
    PORT MAP ( Y => n_286, IN1 => n_287, IN2 => n_293, IN3 => n_299, IN4 => n_307,
          IN5 => n_312);
AND5_195: AND5
    PORT MAP ( Y => n_287, IN1 => n_288, IN2 => n_289, IN3 => n_290, IN4 => n_291,
          IN5 => n_292);
INV_196: INV 
    PORT MAP ( Y => n_288, IN1 => state2_0_Q);
INV_197: INV 
    PORT MAP ( Y => n_289, IN1 => state2_1_Q);
INV_198: INV 
    PORT MAP ( Y => n_290, IN1 => Reset);
DELAY_199: DELAY
    PORT MAP ( Y => n_291, IN1 => Y_1_Q);
DELAY_200: DELAY
    PORT MAP ( Y => n_292, IN1 => X(1));
AND5_201: AND5
    PORT MAP ( Y => n_293, IN1 => n_294, IN2 => n_295, IN3 => n_296, IN4 => n_297,
          IN5 => n_298);
INV_202: INV 
    PORT MAP ( Y => n_294, IN1 => state6_0_Q);
INV_203: INV 
    PORT MAP ( Y => n_295, IN1 => Reset);
INV_204: INV 
    PORT MAP ( Y => n_296, IN1 => Y_12_Q);
INV_205: INV 
    PORT MAP ( Y => n_297, IN1 => Y_10_Q);
DELAY_206: DELAY
    PORT MAP ( Y => n_298, IN1 => state2_0_Q);
AND4_207: AND4
    PORT MAP ( Y => n_299, IN1 => n_300, IN2 => n_301, IN3 => n_302, IN4 => n_306);
INV_208: INV 
    PORT MAP ( Y => n_300, IN1 => state5_0_Q);
INV_209: INV 
    PORT MAP ( Y => n_301, IN1 => Reset);
INV_210: INV 
    PORT MAP ( Y => n_302, IN1 => n_303);
AND2_211: AND2
    PORT MAP ( Y => n_303, IN1 => n_304, IN2 => n_305);
DELAY_212: DELAY
    PORT MAP ( Y => n_304, IN1 => X(3));
DELAY_213: DELAY
    PORT MAP ( Y => n_305, IN1 => state5_1_Q);
DELAY_214: DELAY
    PORT MAP ( Y => n_306, IN1 => state2_0_Q);
AND4_215: AND4
    PORT MAP ( Y => n_307, IN1 => n_308, IN2 => n_309, IN3 => n_310, IN4 => n_311);
INV_216: INV 
    PORT MAP ( Y => n_308, IN1 => state2_0_Q);
INV_217: INV 
    PORT MAP ( Y => n_309, IN1 => state2_1_Q);
INV_218: INV 
    PORT MAP ( Y => n_310, IN1 => Reset);
DELAY_219: DELAY
    PORT MAP ( Y => n_311, IN1 => state1_2_Q);
AND3_220: AND3
    PORT MAP ( Y => n_312, IN1 => n_313, IN2 => n_314, IN3 => n_315);
INV_221: INV 
    PORT MAP ( Y => n_313, IN1 => state4_0_Q);
INV_222: INV 
    PORT MAP ( Y => n_314, IN1 => Reset);
DELAY_223: DELAY
    PORT MAP ( Y => n_315, IN1 => state2_0_Q);
DELAY_224: DELAY
    PORT MAP ( Y => n_316, IN1 => CLK);
FILTER_225: FILTER
    PORT MAP (IN1 => n_316, Y => \state2_1_.CLK\);
state2_0: DFF
    PORT MAP ( D => \state2_0_.D\, CLK => \state2_0_.CLK\, CLRN => \state2_0_.CLRN\,
          PRN => \state2_0_.PRN\, Q => state2_0_Q);
INV_227: INV 
    PORT MAP ( Y => \state2_0_.PRN\, IN1 => gnd);
INV_228: INV 
    PORT MAP ( Y => \state2_0_.CLRN\, IN1 => gnd);
XOR2_229: XOR2
    PORT MAP ( Y => \state2_0_.D\, IN1 => n_325, IN2 => n_249);
OR5_230: OR5
    PORT MAP ( Y => n_325, IN1 => n_293, IN2 => n_326, IN3 => n_331, IN4 => n_312,
          IN5 => n_336);
AND4_231: AND4
    PORT MAP ( Y => n_326, IN1 => n_327, IN2 => n_328, IN3 => n_329, IN4 => n_330);
INV_232: INV 
    PORT MAP ( Y => n_327, IN1 => state5_0_Q);
INV_233: INV 
    PORT MAP ( Y => n_328, IN1 => state5_1_Q);
INV_234: INV 
    PORT MAP ( Y => n_329, IN1 => Reset);
DELAY_235: DELAY
    PORT MAP ( Y => n_330, IN1 => state2_0_Q);
AND4_236: AND4
    PORT MAP ( Y => n_331, IN1 => n_332, IN2 => n_333, IN3 => n_334, IN4 => n_335);
INV_237: INV 
    PORT MAP ( Y => n_332, IN1 => state5_0_Q);
INV_238: INV 
    PORT MAP ( Y => n_333, IN1 => X(3));
INV_239: INV 
    PORT MAP ( Y => n_334, IN1 => Reset);
DELAY_240: DELAY
    PORT MAP ( Y => n_335, IN1 => state2_0_Q);
AND3_241: AND3
    PORT MAP ( Y => n_336, IN1 => n_337, IN2 => n_338, IN3 => n_339);
INV_242: INV 
    PORT MAP ( Y => n_337, IN1 => state2_0_Q);
INV_243: INV 
    PORT MAP ( Y => n_338, IN1 => Reset);
DELAY_244: DELAY
    PORT MAP ( Y => n_339, IN1 => state2_1_Q);
DELAY_245: DELAY
    PORT MAP ( Y => n_340, IN1 => CLK);
FILTER_246: FILTER
    PORT MAP (IN1 => n_340, Y => \state2_0_.CLK\);
state6_0: DFF
    PORT MAP ( D => \state6_0_.D\, CLK => \state6_0_.CLK\, CLRN => \state6_0_.CLRN\,
          PRN => \state6_0_.PRN\, Q => state6_0_Q);
INV_248: INV 
    PORT MAP ( Y => \state6_0_.PRN\, IN1 => gnd);
INV_249: INV 
    PORT MAP ( Y => \state6_0_.CLRN\, IN1 => gnd);
XOR2_250: XOR2
    PORT MAP ( Y => \state6_0_.D\, IN1 => n_349, IN2 => n_366);
OR3_251: OR3
    PORT MAP ( Y => n_349, IN1 => n_350, IN2 => n_356, IN3 => n_361);
AND5_252: AND5
    PORT MAP ( Y => n_350, IN1 => n_351, IN2 => n_352, IN3 => n_353, IN4 => n_354,
          IN5 => n_355);
INV_253: INV 
    PORT MAP ( Y => n_351, IN1 => Reset);
DELAY_254: DELAY
    PORT MAP ( Y => n_352, IN1 => state2_0_Q);
DELAY_255: DELAY
    PORT MAP ( Y => n_353, IN1 => X(3));
DELAY_256: DELAY
    PORT MAP ( Y => n_354, IN1 => state4_0_Q);
DELAY_257: DELAY
    PORT MAP ( Y => n_355, IN1 => state5_1_Q);
AND4_258: AND4
    PORT MAP ( Y => n_356, IN1 => n_357, IN2 => n_358, IN3 => n_359, IN4 => n_360);
INV_259: INV 
    PORT MAP ( Y => n_357, IN1 => Reset);
DELAY_260: DELAY
    PORT MAP ( Y => n_358, IN1 => state2_0_Q);
DELAY_261: DELAY
    PORT MAP ( Y => n_359, IN1 => state4_0_Q);
DELAY_262: DELAY
    PORT MAP ( Y => n_360, IN1 => state5_0_Q);
AND4_263: AND4
    PORT MAP ( Y => n_361, IN1 => n_362, IN2 => n_363, IN3 => n_364, IN4 => n_365);
INV_264: INV 
    PORT MAP ( Y => n_362, IN1 => state6_0_Q);
INV_265: INV 
    PORT MAP ( Y => n_363, IN1 => Reset);
INV_266: INV 
    PORT MAP ( Y => n_364, IN1 => Y_12_Q);
INV_267: INV 
    PORT MAP ( Y => n_365, IN1 => Y_10_Q);
AND1_268: AND1
    PORT MAP ( Y => n_366, IN1 => n_367);
INV_269: INV 
    PORT MAP ( Y => n_367, IN1 => Reset);
DELAY_270: DELAY
    PORT MAP ( Y => n_368, IN1 => CLK);
FILTER_271: FILTER
    PORT MAP (IN1 => n_368, Y => \state6_0_.CLK\);
state4_0: DFF
    PORT MAP ( D => \state4_0_.D\, CLK => \state4_0_.CLK\, CLRN => \state4_0_.CLRN\,
          PRN => \state4_0_.PRN\, Q => state4_0_Q);
INV_273: INV 
    PORT MAP ( Y => \state4_0_.PRN\, IN1 => gnd);
INV_274: INV 
    PORT MAP ( Y => \state4_0_.CLRN\, IN1 => gnd);
XOR2_275: XOR2
    PORT MAP ( Y => \state4_0_.D\, IN1 => n_377, IN2 => n_249);
OR5_276: OR5
    PORT MAP ( Y => n_377, IN1 => n_378, IN2 => n_384, IN3 => n_389, IN4 => n_394,
          IN5 => n_398);
AND5_277: AND5
    PORT MAP ( Y => n_378, IN1 => n_379, IN2 => n_380, IN3 => n_381, IN4 => n_382,
          IN5 => n_383);
INV_278: INV 
    PORT MAP ( Y => n_379, IN1 => state6_0_Q);
INV_279: INV 
    PORT MAP ( Y => n_380, IN1 => Reset);
INV_280: INV 
    PORT MAP ( Y => n_381, IN1 => Y_12_Q);
INV_281: INV 
    PORT MAP ( Y => n_382, IN1 => Y_10_Q);
DELAY_282: DELAY
    PORT MAP ( Y => n_383, IN1 => state4_0_Q);
AND4_283: AND4
    PORT MAP ( Y => n_384, IN1 => n_385, IN2 => n_386, IN3 => n_387, IN4 => n_388);
INV_284: INV 
    PORT MAP ( Y => n_385, IN1 => state5_0_Q);
INV_285: INV 
    PORT MAP ( Y => n_386, IN1 => state5_1_Q);
INV_286: INV 
    PORT MAP ( Y => n_387, IN1 => Reset);
DELAY_287: DELAY
    PORT MAP ( Y => n_388, IN1 => state4_0_Q);
AND4_288: AND4
    PORT MAP ( Y => n_389, IN1 => n_390, IN2 => n_391, IN3 => n_392, IN4 => n_393);
INV_289: INV 
    PORT MAP ( Y => n_390, IN1 => state5_0_Q);
INV_290: INV 
    PORT MAP ( Y => n_391, IN1 => X(3));
INV_291: INV 
    PORT MAP ( Y => n_392, IN1 => Reset);
DELAY_292: DELAY
    PORT MAP ( Y => n_393, IN1 => state4_0_Q);
AND3_293: AND3
    PORT MAP ( Y => n_394, IN1 => n_395, IN2 => n_396, IN3 => n_397);
INV_294: INV 
    PORT MAP ( Y => n_395, IN1 => state2_0_Q);
INV_295: INV 
    PORT MAP ( Y => n_396, IN1 => Reset);
DELAY_296: DELAY
    PORT MAP ( Y => n_397, IN1 => state4_0_Q);
AND3_297: AND3
    PORT MAP ( Y => n_398, IN1 => n_399, IN2 => n_400, IN3 => n_401);
INV_298: INV 
    PORT MAP ( Y => n_399, IN1 => state4_0_Q);
INV_299: INV 
    PORT MAP ( Y => n_400, IN1 => Reset);
DELAY_300: DELAY
    PORT MAP ( Y => n_401, IN1 => state4_1_Q);
DELAY_301: DELAY
    PORT MAP ( Y => n_402, IN1 => CLK);
FILTER_302: FILTER
    PORT MAP (IN1 => n_402, Y => \state4_0_.CLK\);
state5_1: DFF
    PORT MAP ( D => \state5_1_.D\, CLK => \state5_1_.CLK\, CLRN => \state5_1_.CLRN\,
          PRN => \state5_1_.PRN\, Q => state5_1_Q);
INV_304: INV 
    PORT MAP ( Y => \state5_1_.PRN\, IN1 => gnd);
INV_305: INV 
    PORT MAP ( Y => \state5_1_.CLRN\, IN1 => gnd);
XOR2_306: XOR2
    PORT MAP ( Y => \state5_1_.D\, IN1 => n_411, IN2 => n_366);
OR4_307: OR4
    PORT MAP ( Y => n_411, IN1 => n_412, IN2 => n_424, IN3 => n_430, IN4 => n_435);
AND6_308: AND6
    PORT MAP ( Y => n_412, IN1 => n_413, IN2 => n_415, IN3 => n_416, IN4 => n_421,
          IN5 => n_422, IN6 => n_423);
INV_309: INV 
    PORT MAP ( Y => n_413, IN1 => state3_0_Q);
INV_310: INV 
    PORT MAP ( Y => n_415, IN1 => Reset);
INV_311: INV 
    PORT MAP ( Y => n_416, IN1 => n_417);
AND3_312: AND3
    PORT MAP ( Y => n_417, IN1 => n_418, IN2 => n_419, IN3 => n_420);
INV_313: INV 
    PORT MAP ( Y => n_418, IN1 => state6_0_Q);
INV_314: INV 
    PORT MAP ( Y => n_419, IN1 => Y_12_Q);
INV_315: INV 
    PORT MAP ( Y => n_420, IN1 => Y_10_Q);
DELAY_316: DELAY
    PORT MAP ( Y => n_421, IN1 => state2_0_Q);
DELAY_317: DELAY
    PORT MAP ( Y => n_422, IN1 => state4_0_Q);
DELAY_318: DELAY
    PORT MAP ( Y => n_423, IN1 => state5_1_Q);
AND5_319: AND5
    PORT MAP ( Y => n_424, IN1 => n_425, IN2 => n_426, IN3 => n_427, IN4 => n_428,
          IN5 => n_429);
INV_320: INV 
    PORT MAP ( Y => n_425, IN1 => Reset);
INV_321: INV 
    PORT MAP ( Y => n_426, IN1 => n_417);
DELAY_322: DELAY
    PORT MAP ( Y => n_427, IN1 => state2_0_Q);
DELAY_323: DELAY
    PORT MAP ( Y => n_428, IN1 => state4_0_Q);
DELAY_324: DELAY
    PORT MAP ( Y => n_429, IN1 => state5_0_Q);
AND4_325: AND4
    PORT MAP ( Y => n_430, IN1 => n_431, IN2 => n_432, IN3 => n_433, IN4 => n_434);
INV_326: INV 
    PORT MAP ( Y => n_431, IN1 => state5_0_Q);
INV_327: INV 
    PORT MAP ( Y => n_432, IN1 => X(3));
INV_328: INV 
    PORT MAP ( Y => n_433, IN1 => Reset);
DELAY_329: DELAY
    PORT MAP ( Y => n_434, IN1 => state5_1_Q);
AND4_330: AND4
    PORT MAP ( Y => n_435, IN1 => n_436, IN2 => n_437, IN3 => n_438, IN4 => n_442);
INV_331: INV 
    PORT MAP ( Y => n_436, IN1 => state5_1_Q);
INV_332: INV 
    PORT MAP ( Y => n_437, IN1 => Reset);
INV_333: INV 
    PORT MAP ( Y => n_438, IN1 => n_439);
AND2_334: AND2
    PORT MAP ( Y => n_439, IN1 => n_440, IN2 => n_441);
INV_335: INV 
    PORT MAP ( Y => n_440, IN1 => state5_0_Q);
DELAY_336: DELAY
    PORT MAP ( Y => n_441, IN1 => state3_0_Q);
INV_337: INV 
    PORT MAP ( Y => n_442, IN1 => n_443);
AND2_338: AND2
    PORT MAP ( Y => n_443, IN1 => n_444, IN2 => n_445);
INV_339: INV 
    PORT MAP ( Y => n_444, IN1 => state4_1_Q);
DELAY_340: DELAY
    PORT MAP ( Y => n_445, IN1 => state4_0_Q);
DELAY_341: DELAY
    PORT MAP ( Y => n_446, IN1 => CLK);
FILTER_342: FILTER
    PORT MAP (IN1 => n_446, Y => \state5_1_.CLK\);
state3_0: DFF
    PORT MAP ( D => \state3_0_.D\, CLK => \state3_0_.CLK\, CLRN => \state3_0_.CLRN\,
          PRN => \state3_0_.PRN\, Q => state3_0_Q);
INV_344: INV 
    PORT MAP ( Y => \state3_0_.PRN\, IN1 => gnd);
INV_345: INV 
    PORT MAP ( Y => \state3_0_.CLRN\, IN1 => gnd);
XOR2_346: XOR2
    PORT MAP ( Y => \state3_0_.D\, IN1 => n_455, IN2 => n_249);
OR2_347: OR2
    PORT MAP ( Y => n_455, IN1 => n_456, IN2 => n_463);
AND5_348: AND5
    PORT MAP ( Y => n_456, IN1 => n_457, IN2 => n_458, IN3 => n_459, IN4 => n_460,
          IN5 => n_461);
INV_349: INV 
    PORT MAP ( Y => n_457, IN1 => state3_0_Q);
INV_350: INV 
    PORT MAP ( Y => n_458, IN1 => Reset);
DELAY_351: DELAY
    PORT MAP ( Y => n_459, IN1 => Y_1_Q);
DELAY_352: DELAY
    PORT MAP ( Y => n_460, IN1 => X(1));
DELAY_353: DELAY
    PORT MAP ( Y => n_461, IN1 => X(2));
AND4_354: AND4
    PORT MAP ( Y => n_463, IN1 => n_464, IN2 => n_465, IN3 => n_466, IN4 => n_467);
INV_355: INV 
    PORT MAP ( Y => n_464, IN1 => state3_0_Q);
INV_356: INV 
    PORT MAP ( Y => n_465, IN1 => Reset);
DELAY_357: DELAY
    PORT MAP ( Y => n_466, IN1 => X(2));
DELAY_358: DELAY
    PORT MAP ( Y => n_467, IN1 => state1_2_Q);
DELAY_359: DELAY
    PORT MAP ( Y => n_468, IN1 => CLK);
FILTER_360: FILTER
    PORT MAP (IN1 => n_468, Y => \state3_0_.CLK\);
state1_2: DFF
    PORT MAP ( D => \state1_2_.D\, CLK => \state1_2_.CLK\, CLRN => \state1_2_.CLRN\,
          PRN => \state1_2_.PRN\, Q => state1_2_Q);
INV_362: INV 
    PORT MAP ( Y => \state1_2_.PRN\, IN1 => gnd);
INV_363: INV 
    PORT MAP ( Y => \state1_2_.CLRN\, IN1 => gnd);
XOR2_364: XOR2
    PORT MAP ( Y => \state1_2_.D\, IN1 => n_477, IN2 => n_249);
OR3_365: OR3
    PORT MAP ( Y => n_477, IN1 => n_307, IN2 => n_478, IN3 => n_482);
AND3_366: AND3
    PORT MAP ( Y => n_478, IN1 => n_479, IN2 => n_480, IN3 => n_481);
INV_367: INV 
    PORT MAP ( Y => n_479, IN1 => Reset);
DELAY_368: DELAY
    PORT MAP ( Y => n_480, IN1 => Y_1_Q);
DELAY_369: DELAY
    PORT MAP ( Y => n_481, IN1 => X(1));
AND3_370: AND3
    PORT MAP ( Y => n_482, IN1 => n_483, IN2 => n_484, IN3 => n_485);
INV_371: INV 
    PORT MAP ( Y => n_483, IN1 => state3_0_Q);
INV_372: INV 
    PORT MAP ( Y => n_484, IN1 => Reset);
DELAY_373: DELAY
    PORT MAP ( Y => n_485, IN1 => state1_2_Q);
DELAY_374: DELAY
    PORT MAP ( Y => n_486, IN1 => CLK);
FILTER_375: FILTER
    PORT MAP (IN1 => n_486, Y => \state1_2_.CLK\);
state5_0: DFF
    PORT MAP ( D => \state5_0_.D\, CLK => \state5_0_.CLK\, CLRN => \state5_0_.CLRN\,
          PRN => \state5_0_.PRN\, Q => state5_0_Q);
INV_377: INV 
    PORT MAP ( Y => \state5_0_.PRN\, IN1 => gnd);
INV_378: INV 
    PORT MAP ( Y => \state5_0_.CLRN\, IN1 => gnd);
XOR2_379: XOR2
    PORT MAP ( Y => \state5_0_.D\, IN1 => n_495, IN2 => n_366);
OR4_380: OR4
    PORT MAP ( Y => n_495, IN1 => n_496, IN2 => n_424, IN3 => n_503, IN4 => n_511);
AND6_381: AND6
    PORT MAP ( Y => n_496, IN1 => n_497, IN2 => n_498, IN3 => n_499, IN4 => n_500,
          IN5 => n_501, IN6 => n_502);
INV_382: INV 
    PORT MAP ( Y => n_497, IN1 => Reset);
INV_383: INV 
    PORT MAP ( Y => n_498, IN1 => n_417);
DELAY_384: DELAY
    PORT MAP ( Y => n_499, IN1 => state2_0_Q);
DELAY_385: DELAY
    PORT MAP ( Y => n_500, IN1 => X(3));
DELAY_386: DELAY
    PORT MAP ( Y => n_501, IN1 => state4_0_Q);
DELAY_387: DELAY
    PORT MAP ( Y => n_502, IN1 => state5_1_Q);
AND4_388: AND4
    PORT MAP ( Y => n_503, IN1 => n_504, IN2 => n_505, IN3 => n_506, IN4 => n_510);
INV_389: INV 
    PORT MAP ( Y => n_504, IN1 => state5_0_Q);
INV_390: INV 
    PORT MAP ( Y => n_505, IN1 => Reset);
INV_391: INV 
    PORT MAP ( Y => n_506, IN1 => n_507);
AND2_392: AND2
    PORT MAP ( Y => n_507, IN1 => n_508, IN2 => n_509);
INV_393: INV 
    PORT MAP ( Y => n_508, IN1 => X(3));
DELAY_394: DELAY
    PORT MAP ( Y => n_509, IN1 => state5_1_Q);
DELAY_395: DELAY
    PORT MAP ( Y => n_510, IN1 => state3_0_Q);
AND3_396: AND3
    PORT MAP ( Y => n_511, IN1 => n_512, IN2 => n_513, IN3 => n_514);
INV_397: INV 
    PORT MAP ( Y => n_512, IN1 => state5_1_Q);
INV_398: INV 
    PORT MAP ( Y => n_513, IN1 => Reset);
INV_399: INV 
    PORT MAP ( Y => n_514, IN1 => n_443);
DELAY_400: DELAY
    PORT MAP ( Y => n_515, IN1 => CLK);
FILTER_401: FILTER
    PORT MAP (IN1 => n_515, Y => \state5_0_.CLK\);
state4_1: DFF
    PORT MAP ( D => \state4_1_.D\, CLK => \state4_1_.CLK\, CLRN => \state4_1_.CLRN\,
          PRN => \state4_1_.PRN\, Q => state4_1_Q);
INV_403: INV 
    PORT MAP ( Y => \state4_1_.PRN\, IN1 => gnd);
INV_404: INV 
    PORT MAP ( Y => \state4_1_.CLRN\, IN1 => gnd);
XOR2_405: XOR2
    PORT MAP ( Y => \state4_1_.D\, IN1 => n_524, IN2 => n_249);
OR5_406: OR5
    PORT MAP ( Y => n_524, IN1 => n_378, IN2 => n_384, IN3 => n_389, IN4 => n_394,
          IN5 => n_525);
AND3_407: AND3
    PORT MAP ( Y => n_525, IN1 => n_526, IN2 => n_527, IN3 => n_528);
INV_408: INV 
    PORT MAP ( Y => n_526, IN1 => state4_0_Q);
INV_409: INV 
    PORT MAP ( Y => n_527, IN1 => Reset);
DELAY_410: DELAY
    PORT MAP ( Y => n_528, IN1 => state3_0_Q);
DELAY_411: DELAY
    PORT MAP ( Y => n_529, IN1 => CLK);
FILTER_412: FILTER
    PORT MAP (IN1 => n_529, Y => \state4_1_.CLK\);
state6_6: DFF
    PORT MAP ( D => \state6_6_.D\, CLK => \state6_6_.CLK\, CLRN => \state6_6_.CLRN\,
          PRN => \state6_6_.PRN\, Q => state6_6_Q);
INV_414: INV 
    PORT MAP ( Y => \state6_6_.PRN\, IN1 => gnd);
INV_415: INV 
    PORT MAP ( Y => \state6_6_.CLRN\, IN1 => gnd);
XOR2_416: XOR2
    PORT MAP ( Y => \state6_6_.D\, IN1 => n_538, IN2 => n_558);
OR5_417: OR5
    PORT MAP ( Y => n_538, IN1 => n_106, IN2 => n_539, IN3 => n_115, IN4 => n_544,
          IN5 => n_551);
AND4_418: AND4
    PORT MAP ( Y => n_539, IN1 => n_540, IN2 => n_541, IN3 => n_542, IN4 => n_543);
INV_419: INV 
    PORT MAP ( Y => n_540, IN1 => state5_0_Q);
INV_420: INV 
    PORT MAP ( Y => n_541, IN1 => Reset);
INV_421: INV 
    PORT MAP ( Y => n_542, IN1 => n_417);
INV_422: INV 
    PORT MAP ( Y => n_543, IN1 => n_303);
AND3_423: AND3
    PORT MAP ( Y => n_544, IN1 => n_545, IN2 => n_546, IN3 => n_550);
INV_424: INV 
    PORT MAP ( Y => n_545, IN1 => Reset);
INV_425: INV 
    PORT MAP ( Y => n_546, IN1 => n_547);
AND2_426: AND2
    PORT MAP ( Y => n_547, IN1 => n_548, IN2 => n_549);
DELAY_427: DELAY
    PORT MAP ( Y => n_548, IN1 => state2_0_Q);
DELAY_428: DELAY
    PORT MAP ( Y => n_549, IN1 => state4_0_Q);
INV_429: INV 
    PORT MAP ( Y => n_550, IN1 => n_417);
AND2_430: AND2
    PORT MAP ( Y => n_551, IN1 => n_552, IN2 => n_553);
INV_431: INV 
    PORT MAP ( Y => n_552, IN1 => Reset);
INV_432: INV 
    PORT MAP ( Y => n_553, IN1 => n_554);
AND3_433: AND3
    PORT MAP ( Y => n_554, IN1 => n_555, IN2 => n_556, IN3 => n_557);
INV_434: INV 
    PORT MAP ( Y => n_555, IN1 => Y_11_Q);
INV_435: INV 
    PORT MAP ( Y => n_556, IN1 => Y_9_Q);
INV_436: INV 
    PORT MAP ( Y => n_557, IN1 => Y_8_Q);
AND1_437: AND1
    PORT MAP ( Y => n_558, IN1 => vcc);
DELAY_438: DELAY
    PORT MAP ( Y => n_559, IN1 => CLK);
FILTER_439: FILTER
    PORT MAP (IN1 => n_559, Y => \state6_6_.CLK\);
state1_1: DFF
    PORT MAP ( D => \state1_1_.D\, CLK => \state1_1_.CLK\, CLRN => \state1_1_.CLRN\,
          PRN => \state1_1_.PRN\, Q => state1_1_Q);
INV_441: INV 
    PORT MAP ( Y => \state1_1_.PRN\, IN1 => gnd);
INV_442: INV 
    PORT MAP ( Y => \state1_1_.CLRN\, IN1 => gnd);
XOR2_443: XOR2
    PORT MAP ( Y => \state1_1_.D\, IN1 => n_568, IN2 => n_558);
OR5_444: OR5
    PORT MAP ( Y => n_568, IN1 => n_569, IN2 => n_576, IN3 => n_582, IN4 => n_586,
          IN5 => n_589);
AND6_445: AND6
    PORT MAP ( Y => n_569, IN1 => n_570, IN2 => n_571, IN3 => n_572, IN4 => n_573,
          IN5 => n_574, IN6 => n_575);
INV_446: INV 
    PORT MAP ( Y => n_570, IN1 => state3_0_Q);
INV_447: INV 
    PORT MAP ( Y => n_571, IN1 => n_417);
DELAY_448: DELAY
    PORT MAP ( Y => n_572, IN1 => state2_0_Q);
DELAY_449: DELAY
    PORT MAP ( Y => n_573, IN1 => X(3));
DELAY_450: DELAY
    PORT MAP ( Y => n_574, IN1 => state4_0_Q);
DELAY_451: DELAY
    PORT MAP ( Y => n_575, IN1 => state5_1_Q);
AND5_452: AND5
    PORT MAP ( Y => n_576, IN1 => n_577, IN2 => n_578, IN3 => n_579, IN4 => n_580,
          IN5 => n_581);
INV_453: INV 
    PORT MAP ( Y => n_577, IN1 => state3_0_Q);
INV_454: INV 
    PORT MAP ( Y => n_578, IN1 => n_417);
DELAY_455: DELAY
    PORT MAP ( Y => n_579, IN1 => state2_0_Q);
DELAY_456: DELAY
    PORT MAP ( Y => n_580, IN1 => state4_0_Q);
DELAY_457: DELAY
    PORT MAP ( Y => n_581, IN1 => state5_0_Q);
AND3_458: AND3
    PORT MAP ( Y => n_582, IN1 => n_583, IN2 => n_584, IN3 => n_585);
INV_459: INV 
    PORT MAP ( Y => n_583, IN1 => state1_1_Q);
INV_460: INV 
    PORT MAP ( Y => n_584, IN1 => state2_0_Q);
INV_461: INV 
    PORT MAP ( Y => n_585, IN1 => state2_1_Q);
AND2_462: AND2
    PORT MAP ( Y => n_586, IN1 => n_587, IN2 => n_588);
INV_463: INV 
    PORT MAP ( Y => n_587, IN1 => state1_1_Q);
INV_464: INV 
    PORT MAP ( Y => n_588, IN1 => state3_0_Q);
AND1_465: AND1
    PORT MAP ( Y => n_589, IN1 => n_590);
DELAY_466: DELAY
    PORT MAP ( Y => n_590, IN1 => Reset);
DELAY_467: DELAY
    PORT MAP ( Y => n_591, IN1 => CLK);
FILTER_468: FILTER
    PORT MAP (IN1 => n_591, Y => \state1_1_.CLK\);

END \EPM3032ALC44-4\;
